#!/bin/sh
# for lib4th/test4th, (C) 2000 by h-peter recktenwald <phpr@snafu.de>


case ${1} in
    r)		# r
    echo $(grep "ne\ REL" ./version.inc|cut -d\  -f3);;
    v)		# v
    echo $(grep "ne\ VER" ./version.inc|cut -d\  -f3);;
    x)		# x
    echo $(grep "ne\ EXT" ./version.inc|cut -d\  -f3);;
    r.v)	# r.v
    echo $(grep "ne\ REL" ./version.inc|cut -d\  -f3).$(grep "ne\ VER" ./version.inc|cut -d\  -f3);;
    rvx)	# rvx
    echo $(grep "ne\ REL" ./version.inc|cut -d\  -f3)$(grep "ne\ VER" ./version.inc|cut -d\  -f3)$(grep "ne\ EXT" ./version.inc|cut -d\  -f3);;
    v+|x+|r+|vv|xx|rr)	# next REL/VER/EXT number
        case ${1} in
	    r+|v+|x+)	( make uninstall >/dev/null 2>&1||true );;
	esac
	cp ./version.inc ./version.inc.old
        case ${1} in
	    r+|rr)	g=REL;;# r+
	    v+|vv)	g=VER;;# v+
	    x+|xx)	g=EXT;;# x+
	esac
        REL="$(grep "ne\ REL\ " ./version.inc|cut -d\  -f3||echo 0)"
	VER="$(grep "ne\ VER\ " ./version.inc|cut -d\  -f3||echo 0)"
	EXT="$(grep "ne\ EXT\ " ./version.inc|cut -d\  -f3||echo 0)"
#echo R:$REL V:$VER X:$EXT
	export ${g}="$((10#$((10#$(grep "ne\ ${g}" ./version.inc|cut -d\  -f3)))+1))"
	eval [ "$((10#${EXT}))" -lt "$((10))" ]&&EXT=0${EXT}
	echo "%define REL ${REL}"  > ./version.inc
	echo "%define VER ${VER}" >> ./version.inc
	echo "%define EXT ${EXT}" >> ./version.inc
	;;
    -h|-H|--help|--HELP)
	echo "
increment lib4th version number by one:
	rr:	REL
	vv:	VER
	xx:	EXT
uninstall current lib4th version and increment version number:
	r+:	REL
	v+:	VER
	x+:	EXT
echo lib4th version number to stdout:
	r: echo	REL
	v:	VER
	x:	EXT
	r.v:	REL.VER
	r.x.v:	REL.VER.EXT
	-none-	REL.VER.EXT"
	;;
    *)		# r.v.x
    echo $(grep "ne\ REL" ./version.inc|cut -d\  -f3).$(grep "ne\ VER" ./version.inc|cut -d\  -f3).$(grep "ne\ EXT" ./version.inc|cut -d\  -f3);;
esac
