; nasm testascii.asm -o testascii.o
; gcc testascii.o -o testascii
; [hp, 3.3.00, v01, mod. for opcode test]

        global main
        extern printf
        extern putchar

    section .text

    align 32

msg1:   db "%d=",0
msg2:	db "%c",9,0
cs1:	db 27,'(B',0
cs2:	db 27,'(B',0
chs:	db 'K0U',0

    align 32
main:
        push ebp                ;Save these.
	lea esi,[msg1]
	lea edi,[mem.msg1]
	mov ecx,4
	rep movsd
        mov ebp,esp
        push byte 32		; start with blank char..
	mov edi,esp
        push dword mem.cs1	; ..and standard charset
	call printf
.o:
	push dword mem.cs2+1
	call printf
	push byte 10
	call putchar
	add esp,byte 8
.l:
	add dword[esp],byte msg1-cs1	; print num
	call printf
	add dword[esp],byte cs2-msg1	; other charset
	call printf
	add dword[esp],byte msg2-cs2	; print char
        call printf
	add dword[esp],byte cs1-msg2
	call printf
.n:
        inc byte[edi]
	mov al,15
	and al,[edi]
        jnz .l                  ; continue on output line
        push byte 10		; print a linefeed.
        call putchar
	add esp,byte 4
	cmp byte[edi],32
	jz .o			; begin with new charset
	test byte[edi],-1
	jnz .l
	mov byte[edi],31
	lodsb
	mov [mem.cs2+2],al
	test al,al
	jnz .n			; next charset
        mov esp,ebp             ; Clean up and
        pop ebp                 ; exit.
        xor eax,eax
	mov ebx,eax
	inc eax
        int 0x80

    section .bss

mem:
.msg1:  resd 1	; "%d=",0
.msg2:	resd 1	; "%c",9,0
.cs1:	resd 1	; 27,'(B',0
.cs2:	resd 1	; 27,'(K',0
