; [hp, 3.3.00, v01, opcode test]

%define __AU__ 014
%include "system.inc"

CODESEG

%define __DBG
%include "dbg.inc"

;%define ms 1000000	; clocks per micro second
%define ms    1000   	; clocks per ms
;%define ms       0   	; clocks per s
%define e2sec    3	; timing interval
%define e2sec    6	; timing interval (3:4 min)
%define e2sec    10	; timing interval
%define e2sec    08	; timing interval
%define clint
%define stint
%define level 3		;
%undef  __ni
%ifdef __NI
%define __ni		; un-comment only if test runs perfectly well!
%endif

%define mref byte ebp-rbuf+
%define TOS(x) [mref rbuf+4*(x)]

%define t0
%define t1
%define t2
%define t3
%define t4
%macro xec 1-*.nolist	; code to test, regs free: eax,edx
; ----------------------;
%00:
;t0 --------------------;184549 empty (e2sec=8 :=: count = 2^24
;t0 		201326	;+16777 all   ( => 1 cp per opr
;    mov eax,[esp]
%if %1=0
%ifdef t0
    nop
%endif
;t1 --------------------;
;117440
%elif %1=1
%ifdef t1
	movq mm0,[esi]
	movq mm1,[esi+8]
	movq [edi],mm0
	movq [edi+8],mm1
	add esi,byte 16
	add edi,byte 16
	femms
%endif
;t2 --------------------;
;117440
%elif %1=2
%ifdef t2
	movq mm0,[esi]
	movq [edi],mm0	; was soll hieran 'optimiert' sein?!
	add esi,byte 8
	add edi,byte 8
	movq mm0,[esi]
	movq [edi],mm0
	add esi,byte 8
	add edi,byte 8
%endif
;t3 --------------------;
;117440
%elif %1=3
%ifdef t3
	movsd
	movsd
	movsd
	movsd
	femms
%endif
;t4 --------------------;
;167772
%elif %1=4
%ifdef t4
	movq mm0,[esi]
	movq [edi],mm0
	add esi,byte 8
	add edi,byte 8
	movq mm0,[esi]
	movq [edi],mm0
	add esi,byte 8
	add edi,byte 8
	femms
%endif
%endif
	sub esi,byte 16
	sub edi,byte 16
%endm

; ----------------------------------------------------------------------------- ;

    align 32
Y:
    align 32
ref:
	add eax,[esp]
	ret
    align 32
refa:
	call .r
.n:
	sub eax,.n-Y
	ret
    align 4
.r:
	mov eax,[esp]
	ret
    align 32
refb:
	call .n
.n:
	pop eax
	sub eax,.n-Y
	ret
    align 32
probe1:
    db 'DASZNEPROBE!'

    align 32
prep:
%ifdef __ni
%define clint	cli
%define stint	sti
	pushad
	sys_iopl level
	popad
%endif
	pop eax
	xor ebx,ebx
	lea esi,[mem]
	mov edx,ebx
	lea edi,[esi+64]
	lea ecx,[ebx-1]
	shr ecx,e2sec
	push ecx
	mov ecx,ebx
	jmp eax

    align 32
dotestc:		; caliber
	lea esp,[esp-28]
	rdtsc		; start timer
	sub ebx,eax
	sbb ecx,edx
;;;;;;;;;;;;;;;;;;;;;;;;;
.t:	xec 0
;;;;;;;;;;;;;;;;;;;;;;;;;
	rdtsc
	add ebx,eax	; count
	adc ecx,edx
	lea esp,[esp+28]
	jmp go.r

    align 32
dotest1:
	lea esp,[esp-28]
	emms
	rdtsc		; start timer
	sub ebx,eax
	sbb ecx,edx
;;;;;;;;;;;;;;;;;;;;;;;;;
.t:	xec 1
;;;;;;;;;;;;;;;;;;;;;;;;;
	rdtsc
	add ebx,eax	; count
	adc ecx,edx
	lea esp,[esp+28]
	jmp go.r1

    align 32
dotest2:
	lea esp,[esp-28]
	emms
	rdtsc		; start timer
	sub ebx,eax
	sbb ecx,edx
;;;;;;;;;;;;;;;;;;;;;;;;;
.t:	xec 2
;;;;;;;;;;;;;;;;;;;;;;;;;
	rdtsc
	add ebx,eax	; count
	adc ecx,edx
	lea esp,[esp+28]
	jmp go.r2

    align 32
dotest3:
	lea esp,[esp-28]
	emms
	rdtsc		; start timer
	sub ebx,eax
	sbb ecx,edx
;;;;;;;;;;;;;;;;;;;;;;;;;
.t:	xec 3
;;;;;;;;;;;;;;;;;;;;;;;;;
	rdtsc
	add ebx,eax	; count
	adc ecx,edx
	lea esp,[esp+28]
	jmp go.r3

    align 32
dotest4:
	lea esp,[esp-28]
	emms
	rdtsc		; start timer
	sub ebx,eax
	sbb ecx,edx
;;;;;;;;;;;;;;;;;;;;;;;;;
.t:	xec 4
;;;;;;;;;;;;;;;;;;;;;;;;;
	rdtsc
	add ebx,eax	; count
	adc ecx,edx
	lea esp,[esp+28]
	jmp go.r4

probe2:
    db 'DASZNEPROBE!'
    align 32
START:
	mov ebp,rbuf
	call prep
	pop eax
	    PRSTG't0 '	; empty loop (caliber)
go:
	lea esp,[esp-200]
	mov [esp],esp
	xor eax,eax
	lea esp,[esp+200]
	mov [mref rbuf],eax
	mov [mref sg],eax
	call prep
.i:
	clint
	jmp dotestc

    align 32
.r:
	dec dword[esp]
	jnz go.i
	stint
	_add esp,4
	test dword[mref rem],-1
	mov [mref rem+4],ecx
	mov [mref rem],ebx
	jz go
	call preg
	call p_num.p
%ifdef t1
;
	    PRSTG't1 '
	call prep
.i1:
	clint
	jmp dotest1
    align 32
.r1:
	dec dword[esp]
	jnz go.i1
	stint
	_add esp,4
	call p_num
%endif
%ifdef t2
;
	call prep
	    PRSTG't2 '
.i2:
	clint
	jmp dotest2

    align 32
.r2:
	dec dword[esp]
	jnz go.i2
	stint
	_add esp,4
	call p_num
%endif
%ifdef t3
;
	    PRSTG't3 '
	call prep
.i3:
	clint
	jmp dotest3
    align 32
.r3:
	dec dword[esp]
	jnz go.i3
	stint
	_add esp,4
        call p_num
%endif
%ifdef t4
;
	call prep
	    PRSTG't4 '
.i4:
	clint
	jmp dotest4

    align 32
.r4:
	dec dword[esp]
	jnz go.i4
	stint
	_add esp,4
	call p_num
%endif
.exit:
	xor ebx,ebx
	sys_exit 0

; --

    align 32
preg:
	PRNUM ecx
	PRTXT BSPC
	PRNUM ebx
	ret

    align 32
p_num:
        call preg
	sub ebx,[rem]
	sbb ecx,[rem+4]
	setl [sg]
	jge .p
	neg ebx
	sbb ecx,0
	neg ecx
.p:
        mov eax,ebx
	mov edx,ecx
%ifdef ms
%if ms > 0
    push eax
    mov eax,edx
    _mov ebx,ms		; scale to factor {ms}
    xor edx,edx
    div ebx
    mov edx,eax
    pop eax
    div ebx
;shr edx,((1+2*(ln(ms)/ln(2)))/2) ;sowas wr schn...
%endif
%endif
; print decimal number {eax} to stdout
; all regs preserved
; <p_b> l.s.byte
; <p_num> dword
;p_num:
.n:
    pushad
    lea ecx,[rbuf.e-2]
    mov word[ecx],10
    push byte 1		; length counter
    _mov ebx,10		; radix
.l:
    dec ecx		; numbuf-
    inc dword[esp]
    xor edx,edx		; hi dword for div
    div ebx
    or dl,'0'
    mov [ecx],dl
    test eax,eax
    jnz .l
    test byte[sg],-1
    jz .w
    dec ecx
    mov byte[ecx],'-'
    inc dword[esp]
.w:
    pop edx		; count
syswrite:
    push byte STDOUT
    pop ebx
    sys_write
    popad
    ret

    UDATASEG

    alignb 128
rbuf:
    resd 4		; 12 digits
.e:
rem:
    resd 2
sg:
    resd 2
    alignb 64
    resd 512
mem:
    resd 512

    END
;;-;;;-;;;-;;;-;;;-;;;-;;;-;;;-;;;-;;;-;;;-;;;-;;;-;;;-;;;-;;;-;

;;; :STATISTICS: ;;;

%macro nix 0.nolist
;;;
; checked:
%if 0
    orps xmm0,xmm0
    cli	;->segfault
    sti	
    mov esp,[esp]	;11;-14'
    add esp,byte 12	;12;-13'
    add esp,12	;00;-25'
;;;
    mov eax,[esp]
    dec ax
    add ax,1
    sbb ax,ax
    jz .n
    PRNUM[esp+4]
.n:
;;;
%if %1=1
;t1 - 27 -       -;
    dec eax
    add eax,1
    sbb eax,eax
;t1 --------------------;
%elif %1=2
;t2 - 40 -;
    neg eax
    sbb eax,eax
    not eax
;t2 --------------------;
%elif %1=3
;t3 - 13 -;
    test eax,eax	;;;
    mov eax,0
    jnz .r
    dec eax
.r:	
;t3 00000000C2503050 267816
%endif
%if %1=1
;t1 - 25 -       -;
    cmp eax,0x80000000
    mov eax,0
    jnc .r
    jnz .r
    sub eax,1
.r:
;t1 --------------------;
%elif %1=2
;t3 - 22 -;
    cmp eax,0x80000000
    mov eax,0
    jnc .r
    jnz .r
    dec eax
.r:
;t2 --------------------;
%elif %1=3
;t3 - 10 -;
    shl eax,1	;dec eax
    jnc .r	;mov eax,0
    jnz .r	;seto al
    sbb eax,eax	;neg eax
.r:
;t3 00000000C2503050 267816
%endif
;;;
%if %1=1
;t1 - 115 -       -;
    shl eax,1
    jnc .r
    jnz .r
    rcr eax,1
    shr eax,30
.r:
;t1 --------------------;
%elif %1=2
;t2 - 87 -;
    shl eax,1
    jnc .r
    jnz .r
    mov eax,-1
.r:
;t2 --------------------;
%elif %1=3
;t3 - 97 -;
    shl eax,1	;dec eax
    jnc .r	;mov eax,0
    jnz .r	;seto al
    sbb eax,eax	;neg eax
.r:
;t3 00000000C2503050 267816
%endif
;;;
; un-determinable timing, because different P-count values:
%if %1=1
;t1 - 115 -       -;
    shl eax,1
    jnc .r
    jnz .r
    rcr eax,1
    shr eax,30
.r:
;t1 --------------------;
%elif %1=2
;t2 - 87 -;
    shl eax,1
    jnc .r
    jnz .r
    mov eax,-1
.r:
;t2 --------------------;
%elif %1=3
;t3 - 97 -;
    shl eax,1
    jnc .r
    jnz .r
    sbb eax,eax
.r:
;t3 00000000C2503050 267816
%endif
;;;
    shl eax,30
%if %1=1
;t1 - 26 -       -;
    shl eax,1
    jnc .r
    jnz .r
    rcr eax,1
    shr eax,30
.r:
;t1 --------------------;
%elif %1=2
;t2 - 15 -;
    shl eax,1
    jnc .r
    jnz .r
    mov eax,-1
.r:
;t2 --------------------;
%elif %1=3
;t3 - 6 -;
    shl eax,1
    jnc .r
    jnz .r
    sbb eax,eax
.r:
;t3 00000000C2503050 267816
%endif
;;;
    shl eax,30
%if %1=1
;t1 - 201 -       -;
    shl eax,1
    adc eax,11
;t1 --------------------;
%elif %1=2
;t2 - 201 -;
    shl eax,1
    adc eax,byte 11
;t2 --------------------;
%elif %1=3
;t3 - 268 -;
    shl eax,1
    neg eax
    sbb eax,eax	;134
;t3 00000000C2503050 267816
%endif
;;;
; ----------------------;
%00:
;    shl eax,32	;;1)
    shl eax,1	;;1)	2)
%if %1=1
;t1 - 201 -	-;268	268
    neg eax
    sbb eax,eax
    not eax
;t1 --------------------;
%elif %1=2
;t2 - 201 -	-;134	134
    test eax,eax
    jz .r
    mov eax,-1
.r:
;t2 --------------------;
%elif %1=3
;t3 - 268 -;
;t3 00000000C2503050 267816
%endif
;;;
%if %1=1
;t1 - 201 -	-;21
    cmp al,10
    jc .n
    add al,7
.n:
    or al,'0'
.r:
;t1 --------------------;
%elif %1=2
;t2 - 201 -	-;46
    add al,0x90
    daa
    adc al,0x40
    daa
;t2 --------------------;
%elif %1=3
;t3 - 268 -	-;33
    add al,40h
    movzx ax,al
    and ah,09h
    add al,ah
    and al,0Fh
;t3 00000000C2503050 267816
%endif
%if %1=1
;t1 - 201 -	-;40
    add al,40h
    sbb ah,ah
    and ah,09h
    add al,ah
    and al,0Fh
;t1 --------------------;
%elif %1=2
;t2 - 201 -	-;40
    add al,40h
    movsx eax,al
    and ah,09h
    add al,ah
    and al,0Fh
;t2 --------------------;
%elif %1=3
;t3 - 268 -	-;33
    add al,40h
    movsx ax,al
    and ah,09h
    add al,ah
    and al,0Fh
;t3 00000000C2503050 267816
%endif
%if %1=1
;alle drei identisch:1140850
;t1
    xchg eax,[esp]
    xchg eax,[esp]
;t1 --------------------;
%elif %1=2
;t2
    xchg [esp],eax
    xchg [esp],eax
;t2 --------------------;
%elif %1=3
;t3
    xchg eax,[esp+4]
    xchg eax,[esp+4]
;t3
%endif
%if %1=1
;   t0 000000002BFFFFF5 738197
;t1;t1 000000003FFFFFF0 335544
    push eax
    push edx
    mov eax,[esp]
    mov edx,[esp+4]
    pop edx
    pop eax
;t1 --------------------;
%elif %1=2
;t2;t2 000000004400037D 402654
    push eax
    push edx
    movq mm1,[esp]
    pop edx
    pop eax
;t2 --------------------;
%elif %1=3
;t3;t3 000000002BFFFFF5 0
;t3
%endif
%if %1=1
;t1;t1 0000000012000013 100663
    mov edx,TOS(1)
    push dword TOS(2)
    push dword TOS(3)
    mov TOS(2),eax
    mov TOS(3),edx
    pop dword TOS(1)
    pop dword TOS(0)
;t1 --------------------;
%elif %1=2
;t2;t2 000000001700036C 184550
    mov TOS(0),eax
    movq mm1,TOS(0)
    movq mm2,TOS(2)
    movq TOS(2),mm1
    movq TOS(0),mm2
    mov eax,TOS(0)
;t2 --------------------;
%elif %1=3
;t3;t3 000000008EFFFF93 2197815
    xchg eax,TOS(2)
    mov edx,TOS(3)
    xchg edx,TOS(1)
    mov TOS(3),edx
;t3 --------------------;
%endif
%if %1=1
;t1;t1 000000001C24189D 65518
    mov TOS(1),eax
    sub TOS(1),ebp
;t1 --------------------;
%elif %1=2
;t2;t2 000000001A2B1704 32422
    sub eax,ebp
    mov TOS(1),eax
;t2 --------------------;
%elif %1=3
;t3;
;t3 --------------------;
%endif
%if %1=1
;t1;t1 000000001A000018 33554
    sub eax,TOS(1)
;t1 --------------------;
%elif %1=2
;t2;t2 000000001A00004D 33554
    mov edx,TOS(2)
    sub eax,edx
;t2 --------------------;
%elif %1=3
;t3;
;t3 --------------------;
%endif
%if %1=0
;  ;t0 000000000CFFFFF4 218103
    pop eax
    mov edx,eax
    push eax
    jmp .n
.n:
%elif %1=1
;t1;t1 0000000042FFFFC1 905969
    mov edx,eax
    pop eax
    push edx
    jmp .n
.n:
    xchg eax,[esp]
;t1 --------------------;
%elif %1=2
;t2;t2 000000000EFFFFF3 33554
    mov edx,eax
    pop eax
    push edx
    jmp .n
.n:
    mov edx,eax
    pop eax
    push edx
;t2 --------------------;
%elif %1=3
;t3;t3 000000000EFFFFF4 33554
    mov edx,eax
    pop eax
    push edx
    jmp .n
.n:
    mov edx,[esp]
    mov [esp],eax
    mov eax,edx
;t3 --------------------;
%endif
%if %1=0
;t0 000000000809C797 134858
;t0 00000000043FFFEF 71303 (int-s locked)
%if 0
    nop	; is _slower_ than any of below single op's!
%else
    mov eax,[esi]
    mov [edi],eax
    lea esi,[esi+4]
    lea edi,[edi+4]
%endif
%elif %1=1
;t1 0000000006076689 -33710
;t1 00000000037FFFF2 -12582
    stosd
;t1 --------------------;
%elif %1=2
;t2 0000000006A9EFA9 -23058
;t2 000000000380004C -12582
    lodsd
;t2 --------------------;
%elif %1=3
;t3 0000000005A17B0C -40389
;t3 0000000003800019 -12582
    movsd
;t3 --------------------;
%elif %1=4
;t4 00000000058386EB -42352
;t4 0000000004400023 0
    mov eax,[esi]
    mov [edi],eax
    lea esi,[esi+4]
    lea edi,[edi+4]
%endif
%if %1=0
%ifdef t0
    nop
%endif
;t1 --------------------;
;t1 000000000500001C 33554
%elif %1=1
%ifdef t1
    add eax,[esi]	; 4 times as fast as single opr:
    sub [esi],eax	; 9 clocks this example
    add eax,[esi]	; 5 clocks if negated opd is reg
    neg dword[esi]
%endif
;t2 --------------------;
;t2 00000000033FFFF3 4194
%elif %1=2
%ifdef t2
    lea eax,[eax+edx]	; executes in 2 clocks
    sub edx,eax
    lea eax,[eax+edx]
    neg edx
%endif
;t3 --------------------;
;t3 00000000033FFFF3 4194
%elif %1=3
%ifdef t3
    xchg eax,edx
%endif
;t4 --------------------;
;t4 000000000B00002C 134217
%elif %1=4
%ifdef t4
    xchg eax,[esi]	; executes in 33 clocks
%endif
%endif
;t0 		201326	;+16777 all   ( => 1 cp per opr
;t0 000000000BFFFFF4 201326
%if %1=0
%ifdef t0
    mov eax,eax
%endif
;t1 --------------------;
;t1 000000000DFFFFF2 33554 (1) /16777 (2)
;t1 000000000EFFFFF1 50331 (3)
%elif %1=1
%ifdef t1
    mov eax,eax	; (1)
    cdq		; (2)
    mov edx,eax	; (3)
%endif
;t2 --------------------;
;t2 000000000DFFFFF2 33554/16777
;t2 000000000FFFFFF0 67108
%elif %1=2
%ifdef t2
    mov eax,eax	; (1)
    mov edx,eax
    sar edx,31
    mov edx,eax	; (3)
%endif
;t3 --------------------;
;t3 000000000DFFFFF2 33554/16777
;t3 000000000EFFFFF1 50331
%elif %1=3
%ifdef t3
    mov eax,eax	; (1)
    cwde
    mov edx,eax	; (3)
%endif
;t4 --------------------;
;t4 000000000BFFFFF4 0/0
;t4 000000000DFFFFF2 33554 (3)
%elif %1=4
%ifdef t4
    mov eax,eax	; (1)
    movsx eax,ax
    mov edx,eax	; (3)
%endif
%if %1=0
%ifdef t0
    mov eax,eax
%endif
; <cdq> doesn't pair:
;t1 --------------------;
;16777
%elif %1=1
%ifdef t1
    cdq
%endif
;t2 --------------------;
;16777
%elif %1=2
%ifdef t2
    mov edx,eax
    sar edx,31
%endif
;t3 --------------------;
;50331
%elif %1=3
%ifdef t3
    test eax,eax
    cdq
    test eax,eax
%endif
;t4 --------------------;
;16777
%elif %1=4
%ifdef t4
    test eax,eax
    mov edx,eax
    sar edx,31
    test eax,eax
%endif
%endif
;t1 --------------------;
;t1		33554
%elif %1=1
%ifdef t1
    shld edx,eax,1
    shl eax,1
%endif
;t2 --------------------;
;t2		50331
%elif %1=2
%ifdef t2
    mov edx,eax
    shl eax,1
    rol edx,1
%endif
; -------------------------------- ;
%00:
    push ebp
    mov ebp,esp
    lea esp,[esp-12]
    mov eax,edx	; w/wo. no difference
;t0 --------------------;184549 empty (e2sec=8 :=: count = 2^24
;t0 		201326	;+16777 all   ( => 1 cp per opr
;t0 :$00000000 :$0DFFFFF2 234881
%if %1=0
%ifdef t0
    leave
%endif
;t1 --------------------;
;t1 :$00000000 :$0EFFFFF1 16777
%elif %1=1
%ifdef t1
    mov esp,ebp
    pop ebp
%endif
;t2 --------------------;
;t2 :$00000000 :$0DFFFFF2 0
%elif %1=2
%ifdef t2
    leave
%endif
;t3 --------------------;
;t3 :$00000000 :$0EFFFFF1 16777
%elif %1=3
%ifdef t3
    mov esp,ebp
    pop ebp
%endif
;t4 --------------------;
;t4 :$00000000 :$0DFFFFF2 0
%elif %1=4
%ifdef t4
    leave
%endif
%endif
;t1 --------------------;
;50331
%ifdef t1
    push eax
    not edx
    mov eax,[edi-4]
    lea eax,[edx+eax+1]
    mov [edi-4],eax
    not edx
    pop eax
%endif
;t2 --------------------;
;369098
%elif %1=2
%ifdef t2
    pushfd
    sub [edi-4],eax
    popfd
%endif
; all nonsense, people talking about different execution times
; for single vs multiple bits or eax vs other regs shifting...
;t1 --------------------;
;0
%elif %1=1
%ifdef t1
    sar eax,31
%endif
;t2 --------------------;
;0
%elif %1=2
%ifdef t2
    sar eax,2
%endif
;t3 --------------------;
;0
%elif %1=3
%ifdef t3
    sar eax,1
%endif
;t4 --------------------;
;0
%elif %1=4
%ifdef t4
    sar edx,31
%endif
; all nonsense, people talking about different execution times...
;t1 --------------------;
;0
%elif %1=1
%ifdef t1
    cmp eax,0
%endif
;t2 --------------------;
;0
%elif %1=2
%ifdef t2
    cmp eax,byte 0
%endif
;t3 --------------------;
;0
%elif %1=3
%ifdef t3
    test eax,eax
%endif
;t4 --------------------;
;0
%elif %1=4
%ifdef t4
    or eax,eax
%endif
%endif
; ----------------------;
;;;
;t0 --------------------;184549 empty (e2sec=8 :=: count = 2^24
;t0 		201326	;+16777 all   ( => 1 cp per opr
%if %1=0
%ifdef t0
    nop
%endif
;t1 --------------------;
;33554
%elif %1=1
%ifdef t1
    push eax
    call .n
.n:
    pop eax
    pop edx
%endif
;t2 --------------------;
;83886
%elif %1=2
%ifdef t2
    push eax
    lea eax,[.n-$]
    call ref
.n:
    pop edx
%endif
;t3 --------------------;
;83886
%elif %1=3
%ifdef t3
    push eax
    mov eax,.n-$
    call ref
.n:
    pop edx
%endif
;t4 --------------------;
;268435/251658 -!-	<== :HIER:
%elif %1=4
%ifdef t4
;    push eax
    call refb
;    pop edx
%endif
%endif
;;;
;16777
%elif %1=1
%ifdef t1
    test edx,edx
    jz %%r
    mov eax,edx
%%r:
    mov edx,ecx
%endif
;t2 --------------------;
;33554
%elif %1=2
%ifdef t2
    test edx,edx
    mov edx,ecx
    jz %%r
    mov eax,edx
%%r:
%endif
;t3 --------------------;
;67108		<= !
%elif %1=3
%ifdef t3
    mov eax,ecx
    test edx,edx
    jz %%r
    mov edx,eax
%%r:
    mov eax,edx
%endif
;t4 --------------------;
;33554		<= !
%elif %1=4
%ifdef t4
    test edx,edx
    mov eax,ecx
    jz %%r
    mov edx,eax
%%r:
    mov eax,edx
%endif
;;;
;t0 --------------------;184549 empty (e2sec=8 :=: count = 2^24
;t0 		201326	;+16777 all   ( => 1 cp per opr
;    mov eax,[esp]
%if %1=0
%ifdef t0
    nop
%endif
;t1 --------------------;
;16777 (33554)
%elif %1=1
%ifdef t1
    test ecx,ecx
    jz %%r
    mov edx,ebx
%%r:
    mov eax,edi
    mov esi,edi	;()
%endif
;t2 --------------------;
;33554 ()
%elif %1=2
%ifdef t2
    mov eax,edi
    test ecx,ecx
    jz %%r
    mov edx,ebx
%%r:
    mov esi,edi	;()
%endif
;t3 --------------------;
;33554 ()
%elif %1=3
    test ecx,ecx
    mov eax,edi
    jz %%r
    mov edx,ebx
%%r:
    mov esi,edi	;()
%ifdef t3
%endif
;t4 --------------------;
;33554 ()
%elif %1=4
%ifdef t4
    test ecx,ecx
    mov esi,edi	;()
    mov eax,edi
    jz %%r
    mov edx,ebx
%%r:
%endif
%endif
;;;
;t0 --------------------;184549 empty (e2sec=8 :=: count = 2^24
;t0 		201326	;+16777 all   ( => 1 cp per opr
;    mov eax,[esp]
%if %1=0
%ifdef t0
    nop
%endif
;t1 --------------------;
;33554 (67109)
%elif %1=1
%ifdef t1
	mov edx,[esi]
	mov [esi],eax	;()
	cmp edx,eax
%endif
;t2 --------------------;
;33554	(67109)
%elif %1=2
%ifdef t2
	mov edx,[esi]
	mov [esi],eax	;()
	cmp eax,edx
%endif
;t3 --------------------;
;16777	(50331)
%elif %1=3
%ifdef t3
	cmp eax,[esi]
	mov [esi],eax	;()
%endif
;t4 --------------------;
;00000 (33554)	<= !
%elif %1=4
%ifdef t4
	cmp [esi],eax
	mov [esi],eax	;()
%endif
%endif
;;;
; ----------------------;
%00:
;t0 --------------------;184549 empty (e2sec=8 :=: count = 2^24
;t0 		201326	;+16777 all   ( => 1 cp per opr
;    mov eax,[esp]
%if %1=0
%ifdef t0
    nop
%endif
;t1 --------------------;
;67109
%elif %1=1
%ifdef t1
	movq mm0,[esi]
	movq mm1,[esi+8]
	movq [edi],mm0
	movq [edi+8],mm1
	add esi,byte 16
	add edi,byte 16
;t1 --------------------;
;117440
%elif %1=1
%ifdef t1
	movq mm0,[esi]
	movq mm1,[esi+8]
	movq [edi],mm0
	movq [edi+8],mm1
	add esi,byte 16
	add edi,byte 16
	femms
%endif
;t4 --------------------;
;167772
%elif %1=4
%ifdef t4
	movq mm0,[esi]
	movq [edi],mm0
	add esi,byte 8
	add edi,byte 8
	movq mm0,[esi]
	movq [edi],mm0
	add esi,byte 8
	add edi,byte 8
	femms
%endif
;t2 --------------------;
;117440
%elif %1=2
%ifdef t2
	movq mm0,[esi]
	movq [edi],mm0
	add esi,byte 8
	add edi,byte 8
	movq mm0,[esi]
	movq [edi],mm0
	add esi,byte 8
	add edi,byte 8
%endif
;t3 --------------------;
;50331	; <= ! (und: braucht das <femms> nicht!)
%elif %1=3
%ifdef t3
	movsd
	movsd
	movsd
	movsd
%endif
%endif
	sub esi,byte 16
	sub edi,byte 16
;;;
%if %1=0
%ifdef t0
    nop
%endif
;;;
%endm
