;[nolist]
; Copyright (C) 1999 Brian Raiter <breadbox@muppetlabs.com>
; Copyright (C) 2001 h-peter recktenwald <phpr@snafu.de>
;
; $Id: elf.inc,v 1.2 2001/07/20 01:21:10 hp Exp $
;
; file		: elf.inc
; created	: 18-Dec-2000
; modified	: 15-Jul-2001
; version	: lib4th 0.10.++ for asmutils 0.14+
; assembler	: nasm 0.98-3e
; description	: extends asmutils' <elf.inc>, after inclusion
; author	: hp for lib4th.


%ifndef __ELF_INC
%ifndef _nolist
%define _nolist
%endif

%include "au/elf.inc"
%define elfinc

;
%assign	elf_origin	0x08048000
; proghead interleaved w/ elfhead at .phnum posn
    struc auelfhead
;		org	%$origin		; 11-head	; prog-head
.ident:	resb	4	;00;0x7F,'ELF'		; e_ident
	resb	3	;04;db	1,1,1
	resb	9	;07;times 9 db 0
.type:	resw	1	;10;dw	2		; e_type
.machine:resw	1	;12;dw	3		; e_machine
.version:resd	1	;14;dd	1		; e_version
.entry:	resd	1	;18;dd	START		; e_entry
.phoff:	resd	1	;1c;dd	%%phdr - $$	; e_phoff ($34)
.shoff:	resd	1	;20;dd	0		; e_shoff
.flags:	resd	1	;24;dd	0		; e_flags
.ehsize:resw	1	;28;dw	0x34		; e_ehsize
.phentsize:resw	1	;2a;dw	0x20		; e_phentsize
.type:
.phdr:
.phnum:	resw	1;%%phdr:2c;dw	1		; e_phnum	; p_type
.shentsize:resw	1	;2e;dw	0		; e_shentsize	;
.offset:
.shnum:	resw	1	;30;dw	0		; e_shnum	; p_offset
.shstrndx:resw	1	;32;dw	0		; e_shstrndx	;
.vaddr:	resd	1	;34;dd	$$		;		; p_vaddr
.paddr:	resd	1	;38;dd	$$		;		; p_paddr
.filesz:resd	1	;3c;dd	_elf_filesz	;		; p_filesz
.memsz:	resd	1	;40;dd	_elf_memsz	;		; p_memsz
	resd	1	;44;dd	_elf_phdr_flags	;
.align:	resd	1	;48;dd	0x1000		;		; p_align 
    endstruc

    struc elfhead
;		org	%$origin
.ident:	resb	4	;00;0x7F,'ELF'		; e_ident
	resb	3	;04;db	1,1,1
	resb	9	;07;times 9 db 0
.type:	resw	1	;10;dw	2		; e_type
.machine:resw	1	;12;dw	3		; e_machine
.version:resd	1	;14;dd	1		; e_version
.entry:	resd	1	;18;dd	START		; e_entry
.phoff:	resd	1	;1c;dd	%%phdr - $$	; e_phoff
.shoff:	resd	1	;20;dd	0		; e_shoff
.flags:	resd	1	;24;dd	0		; e_flags
.ehsize:resw	1	;28;dw	0x34		; e_ehsize
.phentsize:resw	1	;2a;dw	0x20		; e_phentsize
.phnum:	resw	1	;2c;dw	5		; e_phnum
.shentsize:resw	1	;2e;dw	0		; e_shentsize
.shnum:	resw	1	;30;dw	0		; e_shnum
.shstrndx:resw	1	;32;dw	0		; e_shstrndx
    endstruc

    struc proghead
.phdr:			;		; <f8>
.type:	resd	1	;00;d	1	; 6	; p_type
.offset:resd	1	;04;d	0	; 0	; p_offset
.vaddr:	resd	1	;08;dd	$$	;08048034;p_vaddr
.paddr:	resd	1	;0c;dd	$$	;08048034;p_paddr
.filesz:resd	1	;10;dd	_elf_filesz;00a0; p_filesz	= #160, file "f8" is 1116 bytes
.memsz:	resd	2	;14;dd	_elf_memsz; 00a0; p_memsz
.align:	resd	1	;18;dd	0x1000	;	; p_align
    endstruc

%endif
