;[nolist]
; Copyright (C) 1999-2000 Konstantin Boldyshev <konst@linuxassembly.org>
;
; $Id: includes.inc,v 1.1.1.1 2001/02/27 13:22:04 hp Exp $
;
; file          : includes.inc
; created       : 04-Jul-1999
; modified      : 01-Apr-2000
; version       : 0.09
; assembler     : nasm 0.98
; description   : general constants and structures from header files (libc)
; author        : Konstantin Boldyshev <konst@linuxassembly.org>
; comment       : included internally from system.inc

%ifndef	__SYSTEM_INC
%error "this file must be included internally from system.inc !"
%endif

%ifndef __INCLUDES_INC

%include "au/includes.inc"
%define includesinc

%idefine sizeof_int	4
%idefine sizeof_short	2
%idefine sizeof_char	1

%idefine void		UINT   1

; posix_types.h
%idefine caddr_t	resd 1	;char*
%idefine clock_t	resd 1	;long
%idefine daddr_t	resd 1	;int
%idefine dev_t		resw 1	;short
%idefine gid_t		resw 1	;short	
%idefine ino_t		resd 1	;long
%idefine ipc_pid_t	resw 1	;short
%idefine loff_t		resd 2
%define  mode_t		MODE_T 1
%idefine nlink_t	resw 1	;short
%define  off_t		OFF_T  1
%idefine pid_t		resw 1	;short
%idefine ptrdiff_t	resd 1	;int
%idefine size_t		resd 1	;int	
%idefine ssize_t	resd 1	;int
%idefine suseconds_t	resd 1	;long
%define  time_t		TIME_T 1
%idefine uid_t		resw 1	;short	

%endif	;__INCLUDES_INC
