; Copyright (C) 1999-2000 Konstantin Boldyshev <konst@linuxassembly.org>
;
; $Id: os_linux.inc,v 1.3 2001/04/08 02:39:07 hp Exp $
;
; file          : os_linux.inc
; created       : 08-Feb-2000
; modified      : 09-Sep-2000
; version       : 0.11
; assembler     : nasm 0.98
; description   : linux kernel defined constants (from includes)
; author        : Konstantin Boldyshev <konst@linuxassembly.org>
; comment       : included internally from system.inc

%ifndef __SYSTEM_INC
%error "this file must be included internally from system.inc !"
%endif

%ifndef __LINUX_INC

%include "au/os_linux.inc"
%define linuxinc

%ifdef SYS__llseek; asmutils ..0.11 & linux system data
%define SYS_llseek SYS__llseek
%elifdef SYS_llseek; asmutils 0.12+
%define SYS__llseek SYS_llseek
%endif

;-
;- signal.h

;-

; asmutils, kernel 2.4's version of oldsigaction
;	struc sigaction
;.sa_handler	ULONG	1
;.sa_flags	ULONG	1
;.sa_restorer	ULONG	1
;.sa_mask	resb	sigset_t_size
;	endstruc

;-
;- struc old_sigaction
;-	kernel 2.2. standard signal handler definition block
    struc old_sigaction
.hnd:	resd 1	;
.msk:	resd 1	;
.flg:	resd 1	;
.rst:	resd 1	;
    endstruc
;-
;- struc rt_sigaction	([hp] added the "rt_", for asmutils)
;-	kernel 2.4 (and 2.2. rt-) signal handler definition block
    struc rt_sigaction
.hnd:	resd 1	;handler
.flg:	resd 1	;SA_SIGINFO;flags
.rst:	resd 1	;NULL	; restorer ; (unused) -?- no! just glibc...
.msk:	resd 1	;NULL	; mask
.xtd:	resd 1	;NULL	; (extended)
    endstruc
;-
;- struc new_sigaction
;-	kernel 2.4 (libc?) signal handler definition block
    struc new_sigaction
.hnd:	resd 1	;
.act:	resd 1	;
.msk:	resd 1	;
.flg:	resd 1	;
.rst:	resd 1	;
    endstruc

%endif	;__LINUX_INC
