;-================================================================;
;- Copyright (C) 2000 H-Peter Recktenwald, Berlin <phpr@snafu.de>
;- Read LICENSE file for full copyright information (GNU GPL)
;-
;-  file  	: colours.inc
;-  switch	: __RGB_TXT
;-  created	: 01-mar-2000
;-  modified	: 
;-  version	: 0.01
;-  assembler	: nasm 0.98
;-  description	: colour names definitions
;-  author	: H-Peter Recktenwald, <phpr@snafu.de>
;-  comment	: 
;-  source	: xc/programs/rgb/rgb.txt
;-  requires	: 
;-================================================================;
;-

%ifndef __RGB_TXT
%define __RGB_TXT

;- $XConsortium: rgb.txt,v 10.41 94/02/20 18:39:36 rws Exp $
;  after alphabetic sort (numeric re "colours-num.dat").
%assign aliceblue               0xF0F8FF        ; 240 248 255
%assign alice_blue              0xF0F8FF        ; 240 248 255
%assign antiquewhite1           0xFFEFDB        ; 255 239 219
%assign antiquewhite2           0xEEDFCC        ; 238 223 204
%assign antiquewhite3           0xCDC0B0        ; 205 192 176
%assign antiquewhite4           0x8B8378        ; 139 131 120
%assign antiquewhite            0xFAEBD7        ; 250 235 215
%assign antique_white           0xFAEBD7        ; 250 235 215
%assign aquamarine1             0x7FFFD4        ; 127 255 212
%assign aquamarine2             0x76EEC6        ; 118 238 198
%assign aquamarine3             0x66CDAA        ; 102 205 170
%assign aquamarine4             0x458B74        ;  69 139 116
%assign aquamarine              0x7FFFD4        ; 127 255 212
%assign azure1                  0xF0FFFF        ; 240 255 255
%assign azure2                  0xE0EEEE        ; 224 238 238
%assign azure3                  0xC1CDCD        ; 193 205 205
%assign azure4                  0x838B8B        ; 131 139 139
%assign azure                   0xF0FFFF        ; 240 255 255
%assign beige                   0xF5F5DC        ; 245 245 220
%assign bisque1                 0xFFE4C4        ; 255 228 196
%assign bisque2                 0xEED5B7        ; 238 213 183
%assign bisque3                 0xCDB79E        ; 205 183 158
%assign bisque4                 0x8B7D6B        ; 139 125 107
%assign bisque                  0xFFE4C4        ; 255 228 196
%assign black                   0x000000        ;   0   0   0
%assign blanchedalmond          0xFFEBCD        ; 255 235 205
%assign blanched_almond         0xFFEBCD        ; 255 235 205
%assign blue1                   0x0000FF        ;   0   0 255
%assign blue2                   0x0000EE        ;   0   0 238
%assign blue3                   0x0000CD        ;   0   0 205
%assign blue4                   0x00008B        ;   0   0 139
%assign blueviolet              0x8A2BE2        ; 138  43 226
%assign blue_violet             0x8A2BE2        ; 138  43 226
%assign blue                    0x0000FF        ;   0   0 255
%assign brown1                  0xFF4040        ; 255  64  64
%assign brown2                  0xEE3B3B        ; 238  59  59
%assign brown3                  0xCD3333        ; 205  51  51
%assign brown4                  0x8B2323        ; 139  35  35
%assign brown                   0xA52A2A        ; 165  42  42
%assign burlywood1              0xFFD39B        ; 255 211 155
%assign burlywood2              0xEEC591        ; 238 197 145
%assign burlywood3              0xCDAA7D        ; 205 170 125
%assign burlywood4              0x8B7355        ; 139 115  85
%assign burlywood               0xDEB887        ; 222 184 135
%assign cadetblue1              0x98F5FF        ; 152 245 255
%assign cadetblue2              0x8EE5EE        ; 142 229 238
%assign cadetblue3              0x7AC5CD        ; 122 197 205
%assign cadetblue4              0x53868B        ;  83 134 139
%assign cadetblue               0x5F9EA0        ;  95 158 160
%assign cadet_blue              0x5F9EA0        ;  95 158 160
%assign chartreuse1             0x7FFF00        ; 127 255   0
%assign chartreuse2             0x76EE00        ; 118 238   0
%assign chartreuse3             0x66CD00        ; 102 205   0
%assign chartreuse4             0x458B00        ;  69 139   0
%assign chartreuse              0x7FFF00        ; 127 255   0
%assign chocolate1              0xFF7F24        ; 255 127  36
%assign chocolate2              0xEE7621        ; 238 118  33
%assign chocolate3              0xCD661D        ; 205 102  29
%assign chocolate4              0x8B4513        ; 139  69  19
%assign chocolate               0xD2691E        ; 210 105  30
%assign coral1                  0xFF7256        ; 255 114  86
%assign coral2                  0xEE6A50        ; 238 106  80
%assign coral3                  0xCD5B45        ; 205  91  69
%assign coral4                  0x8B3E2F        ; 139  62  47
%assign coral                   0xFF7F50        ; 255 127  80
%assign cornflowerblue          0x6495ED        ; 100 149 237
%assign cornflower_blue         0x6495ED        ; 100 149 237
%assign cornsilk1               0xFFF8DC        ; 255 248 220
%assign cornsilk2               0xEEE8CD        ; 238 232 205
%assign cornsilk3               0xCDC8B1        ; 205 200 177
%assign cornsilk4               0x8B8878        ; 139 136 120
%assign cornsilk                0xFFF8DC        ; 255 248 220
%assign cyan1                   0x00FFFF        ;   0 255 255
%assign cyan2                   0x00EEEE        ;   0 238 238
%assign cyan3                   0x00CDCD        ;   0 205 205
%assign cyan4                   0x008B8B        ;   0 139 139
%assign cyan                    0x00FFFF        ;   0 255 255
%assign darkblue                0x00008B        ;   0   0 139
%assign darkcyan                0x008B8B        ;   0 139 139
%assign darkgoldenrod1          0xFFB90F        ; 255 185  15
%assign darkgoldenrod2          0xEEAD0E        ; 238 173  14
%assign darkgoldenrod3          0xCD950C        ; 205 149  12
%assign darkgoldenrod4          0x8B6508        ; 139 101   8
%assign darkgoldenrod           0xB8860B        ; 184 134  11
%assign darkgray                0xA9A9A9        ; 169 169 169
%assign darkgreen               0x006400        ;   0 100   0
%assign darkgrey                0xA9A9A9        ; 169 169 169
%assign darkkhaki               0xBDB76B        ; 189 183 107
%assign darkmagenta             0x8B008B        ; 139   0 139
%assign darkolivegreen1         0xCAFF70        ; 202 255 112
%assign darkolivegreen2         0xBCEE68        ; 188 238 104
%assign darkolivegreen3         0xA2CD5A        ; 162 205  90
%assign darkolivegreen4         0x6E8B3D        ; 110 139  61
%assign darkolivegreen          0x556B2F        ;  85 107  47
%assign darkorange1             0xFF7F00        ; 255 127   0
%assign darkorange2             0xEE7600        ; 238 118   0
%assign darkorange3             0xCD6600        ; 205 102   0
%assign darkorange4             0x8B4500        ; 139  69   0
%assign darkorange              0xFF8C00        ; 255 140   0
%assign darkorchid1             0xBF3EFF        ; 191  62 255
%assign darkorchid2             0xB23AEE        ; 178  58 238
%assign darkorchid3             0x9A32CD        ; 154  50 205
%assign darkorchid4             0x68228B        ; 104  34 139
%assign darkorchid              0x9932CC        ; 153  50 204
%assign darkred                 0x8B0000        ; 139   0   0
%assign darksalmon              0xE9967A        ; 233 150 122
%assign darkseagreen1           0xC1FFC1        ; 193 255 193
%assign darkseagreen2           0xB4EEB4        ; 180 238 180
%assign darkseagreen3           0x9BCD9B        ; 155 205 155
%assign darkseagreen4           0x698B69        ; 105 139 105
%assign darkseagreen            0x8FBC8F        ; 143 188 143
%assign darkslateblue           0x483D8B        ;  72  61 139
%assign darkslategray1          0x97FFFF        ; 151 255 255
%assign darkslategray2          0x8DEEEE        ; 141 238 238
%assign darkslategray3          0x79CDCD        ; 121 205 205
%assign darkslategray4          0x528B8B        ;  82 139 139
%assign darkslategray           0x2F4F4F        ;  47  79  79
%assign darkslategrey           0x2F4F4F        ;  47  79  79
%assign darkturquoise           0x00CED1        ;   0 206 209
%assign darkviolet              0x9400D3        ; 148   0 211
%assign dark_blue               0x00008B        ;   0   0 139
%assign dark_cyan               0x008B8B        ;   0 139 139
%assign dark_goldenrod          0xB8860B        ; 184 134  11
%assign dark_gray               0xA9A9A9        ; 169 169 169
%assign dark_green              0x006400        ;   0 100   0
%assign dark_grey               0xA9A9A9        ; 169 169 169
%assign dark_khaki              0xBDB76B        ; 189 183 107
%assign dark_magenta            0x8B008B        ; 139   0 139
%assign dark_olive_green        0x556B2F        ;  85 107  47
%assign dark_orange             0xFF8C00        ; 255 140   0
%assign dark_orchid             0x9932CC        ; 153  50 204
%assign dark_red                0x8B0000        ; 139   0   0
%assign dark_salmon             0xE9967A        ; 233 150 122
%assign dark_sea_green          0x8FBC8F        ; 143 188 143
%assign dark_slate_blue         0x483D8B        ;  72  61 139
%assign dark_slate_gray         0x2F4F4F        ;  47  79  79
%assign dark_slate_grey         0x2F4F4F        ;  47  79  79
%assign dark_turquoise          0x00CED1        ;   0 206 209
%assign dark_violet             0x9400D3        ; 148   0 211
%assign deeppink1               0xFF1493        ; 255  20 147
%assign deeppink2               0xEE1289        ; 238  18 137
%assign deeppink3               0xCD1076        ; 205  16 118
%assign deeppink4               0x8B0A50        ; 139  10  80
%assign deeppink                0xFF1493        ; 255  20 147
%assign deepskyblue1            0x00BFFF        ;   0 191 255
%assign deepskyblue2            0x00B2EE        ;   0 178 238
%assign deepskyblue3            0x009ACD        ;   0 154 205
%assign deepskyblue4            0x00688B        ;   0 104 139
%assign deepskyblue             0x00BFFF        ;   0 191 255
%assign deep_pink               0xFF1493        ; 255  20 147
%assign deep_sky_blue           0x00BFFF        ;   0 191 255
%assign dimgray                 0x696969        ; 105 105 105
%assign dimgrey                 0x696969        ; 105 105 105
%assign dim_gray                0x696969        ; 105 105 105
%assign dim_grey                0x696969        ; 105 105 105
%assign dodgerblue1             0x1E90FF        ;  30 144 255
%assign dodgerblue2             0x1C86EE        ;  28 134 238
%assign dodgerblue3             0x1874CD        ;  24 116 205
%assign dodgerblue4             0x104E8B        ;  16  78 139
%assign dodgerblue              0x1E90FF        ;  30 144 255
%assign dodger_blue             0x1E90FF        ;  30 144 255
%assign firebrick1              0xFF3030        ; 255  48  48
%assign firebrick2              0xEE2C2C        ; 238  44  44
%assign firebrick3              0xCD2626        ; 205  38  38
%assign firebrick4              0x8B1A1A        ; 139  26  26
%assign firebrick               0xB22222        ; 178  34  34
%assign floralwhite             0xFFFAF0        ; 255 250 240
%assign floral_white            0xFFFAF0        ; 255 250 240
%assign forestgreen             0x228B22        ;  34 139  34
%assign forest_green            0x228B22        ;  34 139  34
%assign gainsboro               0xDCDCDC        ; 220 220 220
%assign ghostwhite              0xF8F8FF        ; 248 248 255
%assign ghost_white             0xF8F8FF        ; 248 248 255
%assign gold1                   0xFFD700        ; 255 215   0
%assign gold2                   0xEEC900        ; 238 201   0
%assign gold3                   0xCDAD00        ; 205 173   0
%assign gold4                   0x8B7500        ; 139 117   0
%assign goldenrod1              0xFFC125        ; 255 193  37
%assign goldenrod2              0xEEB422        ; 238 180  34
%assign goldenrod3              0xCD9B1D        ; 205 155  29
%assign goldenrod4              0x8B6914        ; 139 105  20
%assign goldenrod               0xDAA520        ; 218 165  32
%assign gold                    0xFFD700        ; 255 215   0
%assign gray0                   0x000000        ;   0   0   0
%assign gray100                 0xFFFFFF        ; 255 255 255
%assign gray10                  0x1A1A1A        ;  26  26  26
%assign gray11                  0x1C1C1C        ;  28  28  28
%assign gray12                  0x1F1F1F        ;  31  31  31
%assign gray13                  0x212121        ;  33  33  33
%assign gray14                  0x242424        ;  36  36  36
%assign gray15                  0x262626        ;  38  38  38
%assign gray16                  0x292929        ;  41  41  41
%assign gray17                  0x2B2B2B        ;  43  43  43
%assign gray18                  0x2E2E2E        ;  46  46  46
%assign gray19                  0x303030        ;  48  48  48
%assign gray1                   0x030303        ;   3   3   3
%assign gray20                  0x333333        ;  51  51  51
%assign gray21                  0x363636        ;  54  54  54
%assign gray22                  0x383838        ;  56  56  56
%assign gray23                  0x3B3B3B        ;  59  59  59
%assign gray24                  0x3D3D3D        ;  61  61  61
%assign gray25                  0x404040        ;  64  64  64
%assign gray26                  0x424242        ;  66  66  66
%assign gray27                  0x454545        ;  69  69  69
%assign gray28                  0x474747        ;  71  71  71
%assign gray29                  0x4A4A4A        ;  74  74  74
%assign gray2                   0x050505        ;   5   5   5
%assign gray30                  0x4D4D4D        ;  77  77  77
%assign gray31                  0x4F4F4F        ;  79  79  79
%assign gray32                  0x525252        ;  82  82  82
%assign gray33                  0x545454        ;  84  84  84
%assign gray34                  0x575757        ;  87  87  87
%assign gray35                  0x595959        ;  89  89  89
%assign gray36                  0x5C5C5C        ;  92  92  92
%assign gray37                  0x5E5E5E        ;  94  94  94
%assign gray38                  0x616161        ;  97  97  97
%assign gray39                  0x636363        ;  99  99  99
%assign gray3                   0x080808        ;   8   8   8
%assign gray40                  0x666666        ; 102 102 102
%assign gray41                  0x696969        ; 105 105 105
%assign gray42                  0x6B6B6B        ; 107 107 107
%assign gray43                  0x6E6E6E        ; 110 110 110
%assign gray44                  0x707070        ; 112 112 112
%assign gray45                  0x737373        ; 115 115 115
%assign gray46                  0x757575        ; 117 117 117
%assign gray47                  0x787878        ; 120 120 120
%assign gray48                  0x7A7A7A        ; 122 122 122
%assign gray49                  0x7D7D7D        ; 125 125 125
%assign gray4                   0x0A0A0A        ;  10  10  10
%assign gray50                  0x7F7F7F        ; 127 127 127
%assign gray51                  0x828282        ; 130 130 130
%assign gray52                  0x858585        ; 133 133 133
%assign gray53                  0x878787        ; 135 135 135
%assign gray54                  0x8A8A8A        ; 138 138 138
%assign gray55                  0x8C8C8C        ; 140 140 140
%assign gray56                  0x8F8F8F        ; 143 143 143
%assign gray57                  0x919191        ; 145 145 145
%assign gray58                  0x949494        ; 148 148 148
%assign gray59                  0x969696        ; 150 150 150
%assign gray5                   0x0D0D0D        ;  13  13  13
%assign gray60                  0x999999        ; 153 153 153
%assign gray61                  0x9C9C9C        ; 156 156 156
%assign gray62                  0x9E9E9E        ; 158 158 158
%assign gray63                  0xA1A1A1        ; 161 161 161
%assign gray64                  0xA3A3A3        ; 163 163 163
%assign gray65                  0xA6A6A6        ; 166 166 166
%assign gray66                  0xA8A8A8        ; 168 168 168
%assign gray67                  0xABABAB        ; 171 171 171
%assign gray68                  0xADADAD        ; 173 173 173
%assign gray69                  0xB0B0B0        ; 176 176 176
%assign gray6                   0x0F0F0F        ;  15  15  15
%assign gray70                  0xB3B3B3        ; 179 179 179
%assign gray71                  0xB5B5B5        ; 181 181 181
%assign gray72                  0xB8B8B8        ; 184 184 184
%assign gray73                  0xBABABA        ; 186 186 186
%assign gray74                  0xBDBDBD        ; 189 189 189
%assign gray75                  0xBFBFBF        ; 191 191 191
%assign gray76                  0xC2C2C2        ; 194 194 194
%assign gray77                  0xC4C4C4        ; 196 196 196
%assign gray78                  0xC7C7C7        ; 199 199 199
%assign gray79                  0xC9C9C9        ; 201 201 201
%assign gray7                   0x121212        ;  18  18  18
%assign gray80                  0xCCCCCC        ; 204 204 204
%assign gray81                  0xCFCFCF        ; 207 207 207
%assign gray82                  0xD1D1D1        ; 209 209 209
%assign gray83                  0xD4D4D4        ; 212 212 212
%assign gray84                  0xD6D6D6        ; 214 214 214
%assign gray85                  0xD9D9D9        ; 217 217 217
%assign gray86                  0xDBDBDB        ; 219 219 219
%assign gray87                  0xDEDEDE        ; 222 222 222
%assign gray88                  0xE0E0E0        ; 224 224 224
%assign gray89                  0xE3E3E3        ; 227 227 227
%assign gray8                   0x141414        ;  20  20  20
%assign gray90                  0xE5E5E5        ; 229 229 229
%assign gray91                  0xE8E8E8        ; 232 232 232
%assign gray92                  0xEBEBEB        ; 235 235 235
%assign gray93                  0xEDEDED        ; 237 237 237
%assign gray94                  0xF0F0F0        ; 240 240 240
%assign gray95                  0xF2F2F2        ; 242 242 242
%assign gray96                  0xF5F5F5        ; 245 245 245
%assign gray97                  0xF7F7F7        ; 247 247 247
%assign gray98                  0xFAFAFA        ; 250 250 250
%assign gray99                  0xFCFCFC        ; 252 252 252
%assign gray9                   0x171717        ;  23  23  23
%assign gray                    0xBEBEBE        ; 190 190 190
%assign green1                  0x00FF00        ;   0 255   0
%assign green2                  0x00EE00        ;   0 238   0
%assign green3                  0x00CD00        ;   0 205   0
%assign green4                  0x008B00        ;   0 139   0
%assign greenyellow             0xADFF2F        ; 173 255  47
%assign green_yellow            0xADFF2F        ; 173 255  47
%assign green                   0x00FF00        ;   0 255   0
%assign grey0                   0x000000        ;   0   0   0
%assign grey100                 0xFFFFFF        ; 255 255 255
%assign grey10                  0x1A1A1A        ;  26  26  26
%assign grey11                  0x1C1C1C        ;  28  28  28
%assign grey12                  0x1F1F1F        ;  31  31  31
%assign grey13                  0x212121        ;  33  33  33
%assign grey14                  0x242424        ;  36  36  36
%assign grey15                  0x262626        ;  38  38  38
%assign grey16                  0x292929        ;  41  41  41
%assign grey17                  0x2B2B2B        ;  43  43  43
%assign grey18                  0x2E2E2E        ;  46  46  46
%assign grey19                  0x303030        ;  48  48  48
%assign grey1                   0x030303        ;   3   3   3
%assign grey20                  0x333333        ;  51  51  51
%assign grey21                  0x363636        ;  54  54  54
%assign grey22                  0x383838        ;  56  56  56
%assign grey23                  0x3B3B3B        ;  59  59  59
%assign grey24                  0x3D3D3D        ;  61  61  61
%assign grey25                  0x404040        ;  64  64  64
%assign grey26                  0x424242        ;  66  66  66
%assign grey27                  0x454545        ;  69  69  69
%assign grey28                  0x474747        ;  71  71  71
%assign grey29                  0x4A4A4A        ;  74  74  74
%assign grey2                   0x050505        ;   5   5   5
%assign grey30                  0x4D4D4D        ;  77  77  77
%assign grey31                  0x4F4F4F        ;  79  79  79
%assign grey32                  0x525252        ;  82  82  82
%assign grey33                  0x545454        ;  84  84  84
%assign grey34                  0x575757        ;  87  87  87
%assign grey35                  0x595959        ;  89  89  89
%assign grey36                  0x5C5C5C        ;  92  92  92
%assign grey37                  0x5E5E5E        ;  94  94  94
%assign grey38                  0x616161        ;  97  97  97
%assign grey39                  0x636363        ;  99  99  99
%assign grey3                   0x080808        ;   8   8   8
%assign grey40                  0x666666        ; 102 102 102
%assign grey41                  0x696969        ; 105 105 105
%assign grey42                  0x6B6B6B        ; 107 107 107
%assign grey43                  0x6E6E6E        ; 110 110 110
%assign grey44                  0x707070        ; 112 112 112
%assign grey45                  0x737373        ; 115 115 115
%assign grey46                  0x757575        ; 117 117 117
%assign grey47                  0x787878        ; 120 120 120
%assign grey48                  0x7A7A7A        ; 122 122 122
%assign grey49                  0x7D7D7D        ; 125 125 125
%assign grey4                   0x0A0A0A        ;  10  10  10
%assign grey50                  0x7F7F7F        ; 127 127 127
%assign grey51                  0x828282        ; 130 130 130
%assign grey52                  0x858585        ; 133 133 133
%assign grey53                  0x878787        ; 135 135 135
%assign grey54                  0x8A8A8A        ; 138 138 138
%assign grey55                  0x8C8C8C        ; 140 140 140
%assign grey56                  0x8F8F8F        ; 143 143 143
%assign grey57                  0x919191        ; 145 145 145
%assign grey58                  0x949494        ; 148 148 148
%assign grey59                  0x969696        ; 150 150 150
%assign grey5                   0x0D0D0D        ;  13  13  13
%assign grey60                  0x999999        ; 153 153 153
%assign grey61                  0x9C9C9C        ; 156 156 156
%assign grey62                  0x9E9E9E        ; 158 158 158
%assign grey63                  0xA1A1A1        ; 161 161 161
%assign grey64                  0xA3A3A3        ; 163 163 163
%assign grey65                  0xA6A6A6        ; 166 166 166
%assign grey66                  0xA8A8A8        ; 168 168 168
%assign grey67                  0xABABAB        ; 171 171 171
%assign grey68                  0xADADAD        ; 173 173 173
%assign grey69                  0xB0B0B0        ; 176 176 176
%assign grey6                   0x0F0F0F        ;  15  15  15
%assign grey70                  0xB3B3B3        ; 179 179 179
%assign grey71                  0xB5B5B5        ; 181 181 181
%assign grey72                  0xB8B8B8        ; 184 184 184
%assign grey73                  0xBABABA        ; 186 186 186
%assign grey74                  0xBDBDBD        ; 189 189 189
%assign grey75                  0xBFBFBF        ; 191 191 191
%assign grey76                  0xC2C2C2        ; 194 194 194
%assign grey77                  0xC4C4C4        ; 196 196 196
%assign grey78                  0xC7C7C7        ; 199 199 199
%assign grey79                  0xC9C9C9        ; 201 201 201
%assign grey7                   0x121212        ;  18  18  18
%assign grey80                  0xCCCCCC        ; 204 204 204
%assign grey81                  0xCFCFCF        ; 207 207 207
%assign grey82                  0xD1D1D1        ; 209 209 209
%assign grey83                  0xD4D4D4        ; 212 212 212
%assign grey84                  0xD6D6D6        ; 214 214 214
%assign grey85                  0xD9D9D9        ; 217 217 217
%assign grey86                  0xDBDBDB        ; 219 219 219
%assign grey87                  0xDEDEDE        ; 222 222 222
%assign grey88                  0xE0E0E0        ; 224 224 224
%assign grey89                  0xE3E3E3        ; 227 227 227
%assign grey8                   0x141414        ;  20  20  20
%assign grey90                  0xE5E5E5        ; 229 229 229
%assign grey91                  0xE8E8E8        ; 232 232 232
%assign grey92                  0xEBEBEB        ; 235 235 235
%assign grey93                  0xEDEDED        ; 237 237 237
%assign grey94                  0xF0F0F0        ; 240 240 240
%assign grey95                  0xF2F2F2        ; 242 242 242
%assign grey96                  0xF5F5F5        ; 245 245 245
%assign grey97                  0xF7F7F7        ; 247 247 247
%assign grey98                  0xFAFAFA        ; 250 250 250
%assign grey99                  0xFCFCFC        ; 252 252 252
%assign grey9                   0x171717        ;  23  23  23
%assign grey                    0xBEBEBE        ; 190 190 190
%assign honeydew1               0xF0FFF0        ; 240 255 240
%assign honeydew2               0xE0EEE0        ; 224 238 224
%assign honeydew3               0xC1CDC1        ; 193 205 193
%assign honeydew4               0x838B83        ; 131 139 131
%assign honeydew                0xF0FFF0        ; 240 255 240
%assign hotpink1                0xFF6EB4        ; 255 110 180
%assign hotpink2                0xEE6AA7        ; 238 106 167
%assign hotpink3                0xCD6090        ; 205  96 144
%assign hotpink4                0x8B3A62        ; 139  58  98
%assign hotpink                 0xFF69B4        ; 255 105 180
%assign hot_pink                0xFF69B4        ; 255 105 180
%assign indianred1              0xFF6A6A        ; 255 106 106
%assign indianred2              0xEE6363        ; 238  99  99
%assign indianred3              0xCD5555        ; 205  85  85
%assign indianred4              0x8B3A3A        ; 139  58  58
%assign indianred               0xCD5C5C        ; 205  92  92
%assign indian_red              0xCD5C5C        ; 205  92  92
%assign ivory1                  0xFFFFF0        ; 255 255 240
%assign ivory2                  0xEEEEE0        ; 238 238 224
%assign ivory3                  0xCDCDC1        ; 205 205 193
%assign ivory4                  0x8B8B83        ; 139 139 131
%assign ivory                   0xFFFFF0        ; 255 255 240
%assign khaki1                  0xFFF68F        ; 255 246 143
%assign khaki2                  0xEEE685        ; 238 230 133
%assign khaki3                  0xCDC673        ; 205 198 115
%assign khaki4                  0x8B864E        ; 139 134  78
%assign khaki                   0xF0E68C        ; 240 230 140
%assign lavenderblush1          0xFFF0F5        ; 255 240 245
%assign lavenderblush2          0xEEE0E5        ; 238 224 229
%assign lavenderblush3          0xCDC1C5        ; 205 193 197
%assign lavenderblush4          0x8B8386        ; 139 131 134
%assign lavenderblush           0xFFF0F5        ; 255 240 245
%assign lavender_blush          0xFFF0F5        ; 255 240 245
%assign lavender                0xE6E6FA        ; 230 230 250
%assign lawngreen               0x7CFC00        ; 124 252   0
%assign lawn_green              0x7CFC00        ; 124 252   0
%assign lemonchiffon1           0xFFFACD        ; 255 250 205
%assign lemonchiffon2           0xEEE9BF        ; 238 233 191
%assign lemonchiffon3           0xCDC9A5        ; 205 201 165
%assign lemonchiffon4           0x8B8970        ; 139 137 112
%assign lemonchiffon            0xFFFACD        ; 255 250 205
%assign lemon_chiffon           0xFFFACD        ; 255 250 205
%assign lightblue1              0xBFEFFF        ; 191 239 255
%assign lightblue2              0xB2DFEE        ; 178 223 238
%assign lightblue3              0x9AC0CD        ; 154 192 205
%assign lightblue4              0x68838B        ; 104 131 139
%assign lightblue               0xADD8E6        ; 173 216 230
%assign lightcoral              0xF08080        ; 240 128 128
%assign lightcyan1              0xE0FFFF        ; 224 255 255
%assign lightcyan2              0xD1EEEE        ; 209 238 238
%assign lightcyan3              0xB4CDCD        ; 180 205 205
%assign lightcyan4              0x7A8B8B        ; 122 139 139
%assign lightcyan               0xE0FFFF        ; 224 255 255
%assign lightgoldenrod1         0xFFEC8B        ; 255 236 139
%assign lightgoldenrod2         0xEEDC82        ; 238 220 130
%assign lightgoldenrod3         0xCDBE70        ; 205 190 112
%assign lightgoldenrod4         0x8B814C        ; 139 129  76
%assign lightgoldenrodyellow    0xFAFAD2        ; 250 250 210
%assign lightgoldenrod          0xEEDD82        ; 238 221 130
%assign lightgray               0xD3D3D3        ; 211 211 211
%assign lightgreen              0x90EE90        ; 144 238 144
%assign lightgrey               0xD3D3D3        ; 211 211 211
%assign lightpink1              0xFFAEB9        ; 255 174 185
%assign lightpink2              0xEEA2AD        ; 238 162 173
%assign lightpink3              0xCD8C95        ; 205 140 149
%assign lightpink4              0x8B5F65        ; 139  95 101
%assign lightpink               0xFFB6C1        ; 255 182 193
%assign lightsalmon1            0xFFA07A        ; 255 160 122
%assign lightsalmon2            0xEE9572        ; 238 149 114
%assign lightsalmon3            0xCD8162        ; 205 129  98
%assign lightsalmon4            0x8B5742        ; 139  87  66
%assign lightsalmon             0xFFA07A        ; 255 160 122
%assign lightseagreen           0x20B2AA        ;  32 178 170
%assign lightskyblue1           0xB0E2FF        ; 176 226 255
%assign lightskyblue2           0xA4D3EE        ; 164 211 238
%assign lightskyblue3           0x8DB6CD        ; 141 182 205
%assign lightskyblue4           0x607B8B        ;  96 123 139
%assign lightskyblue            0x87CEFA        ; 135 206 250
%assign lightslateblue          0x8470FF        ; 132 112 255
%assign lightslategray          0x778899        ; 119 136 153
%assign lightslategrey          0x778899        ; 119 136 153
%assign lightsteelblue1         0xCAE1FF        ; 202 225 255
%assign lightsteelblue2         0xBCD2EE        ; 188 210 238
%assign lightsteelblue3         0xA2B5CD        ; 162 181 205
%assign lightsteelblue4         0x6E7B8B        ; 110 123 139
%assign lightsteelblue          0xB0C4DE        ; 176 196 222
%assign lightyellow1            0xFFFFE0        ; 255 255 224
%assign lightyellow2            0xEEEED1        ; 238 238 209
%assign lightyellow3            0xCDCDB4        ; 205 205 180
%assign lightyellow4            0x8B8B7A        ; 139 139 122
%assign lightyellow             0xFFFFE0        ; 255 255 224
%assign light_blue              0xADD8E6        ; 173 216 230
%assign light_coral             0xF08080        ; 240 128 128
%assign light_cyan              0xE0FFFF        ; 224 255 255
%assign light_goldenrod_yellow  0xFAFAD2        ; 250 250 210
%assign light_goldenrod         0xEEDD82        ; 238 221 130
%assign light_gray              0xD3D3D3        ; 211 211 211
%assign light_green             0x90EE90        ; 144 238 144
%assign light_grey              0xD3D3D3        ; 211 211 211
%assign light_pink              0xFFB6C1        ; 255 182 193
%assign light_salmon            0xFFA07A        ; 255 160 122
%assign light_sea_green         0x20B2AA        ;  32 178 170
%assign light_sky_blue          0x87CEFA        ; 135 206 250
%assign light_slate_blue        0x8470FF        ; 132 112 255
%assign light_slate_gray        0x778899        ; 119 136 153
%assign light_slate_grey        0x778899        ; 119 136 153
%assign light_steel_blue        0xB0C4DE        ; 176 196 222
%assign light_yellow            0xFFFFE0        ; 255 255 224
%assign limegreen               0x32CD32        ;  50 205  50
%assign lime_green              0x32CD32        ;  50 205  50
%assign linen                   0xFAF0E6        ; 250 240 230
%assign magenta1                0xFF00FF        ; 255   0 255
%assign magenta2                0xEE00EE        ; 238   0 238
%assign magenta3                0xCD00CD        ; 205   0 205
%assign magenta4                0x8B008B        ; 139   0 139
%assign magenta                 0xFF00FF        ; 255   0 255
%assign maroon1                 0xFF34B3        ; 255  52 179
%assign maroon2                 0xEE30A7        ; 238  48 167
%assign maroon3                 0xCD2990        ; 205  41 144
%assign maroon4                 0x8B1C62        ; 139  28  98
%assign maroon                  0xB03060        ; 176  48  96
%assign mediumaquamarine        0x66CDAA        ; 102 205 170
%assign mediumblue              0x0000CD        ;   0   0 205
%assign mediumorchid1           0xE066FF        ; 224 102 255
%assign mediumorchid2           0xD15FEE        ; 209  95 238
%assign mediumorchid3           0xB452CD        ; 180  82 205
%assign mediumorchid4           0x7A378B        ; 122  55 139
%assign mediumorchid            0xBA55D3        ; 186  85 211
%assign mediumpurple1           0xAB82FF        ; 171 130 255
%assign mediumpurple2           0x9F79EE        ; 159 121 238
%assign mediumpurple3           0x8968CD        ; 137 104 205
%assign mediumpurple4           0x5D478B        ;  93  71 139
%assign mediumpurple            0x9370DB        ; 147 112 219
%assign mediumseagreen          0x3CB371        ;  60 179 113
%assign mediumslateblue         0x7B68EE        ; 123 104 238
%assign mediumspringgreen       0x00FA9A        ;   0 250 154
%assign mediumturquoise         0x48D1CC        ;  72 209 204
%assign mediumvioletred         0xC71585        ; 199  21 133
%assign medium_aquamarine       0x66CDAA        ; 102 205 170
%assign medium_blue             0x0000CD        ;   0   0 205
%assign medium_orchid           0xBA55D3        ; 186  85 211
%assign medium_purple           0x9370DB        ; 147 112 219
%assign medium_sea_green        0x3CB371        ;  60 179 113
%assign medium_slate_blue       0x7B68EE        ; 123 104 238
%assign medium_spring_green     0x00FA9A        ;   0 250 154
%assign medium_turquoise        0x48D1CC        ;  72 209 204
%assign medium_violet_red       0xC71585        ; 199  21 133
%assign midnightblue            0x191970        ;  25  25 112
%assign midnight_blue           0x191970        ;  25  25 112
%assign mintcream               0xF5FFFA        ; 245 255 250
%assign mint_cream              0xF5FFFA        ; 245 255 250
%assign mistyrose1              0xFFE4E1        ; 255 228 225
%assign mistyrose2              0xEED5D2        ; 238 213 210
%assign mistyrose3              0xCDB7B5        ; 205 183 181
%assign mistyrose4              0x8B7D7B        ; 139 125 123
%assign mistyrose               0xFFE4E1        ; 255 228 225
%assign misty_rose              0xFFE4E1        ; 255 228 225
%assign moccasin                0xFFE4B5        ; 255 228 181
%assign navajowhite1            0xFFDEAD        ; 255 222 173
%assign navajowhite2            0xEECFA1        ; 238 207 161
%assign navajowhite3            0xCDB38B        ; 205 179 139
%assign navajowhite4            0x8B795E        ; 139 121  94
%assign navajowhite             0xFFDEAD        ; 255 222 173
%assign navajo_white            0xFFDEAD        ; 255 222 173
%assign navyblue                0x000080        ;   0   0 128
%assign navy_blue               0x000080        ;   0   0 128
%assign navy                    0x000080        ;   0   0 128
%assign oldlace                 0xFDF5E6        ; 253 245 230
%assign old_lace                0xFDF5E6        ; 253 245 230
%assign olivedrab1              0xC0FF3E        ; 192 255  62
%assign olivedrab2              0xB3EE3A        ; 179 238  58
%assign olivedrab3              0x9ACD32        ; 154 205  50
%assign olivedrab4              0x698B22        ; 105 139  34
%assign olivedrab               0x6B8E23        ; 107 142  35
%assign olive_drab              0x6B8E23        ; 107 142  35
%assign orange1                 0xFFA500        ; 255 165   0
%assign orange2                 0xEE9A00        ; 238 154   0
%assign orange3                 0xCD8500        ; 205 133   0
%assign orange4                 0x8B5A00        ; 139  90   0
%assign orangered1              0xFF4500        ; 255  69   0
%assign orangered2              0xEE4000        ; 238  64   0
%assign orangered3              0xCD3700        ; 205  55   0
%assign orangered4              0x8B2500        ; 139  37   0
%assign orangered               0xFF4500        ; 255  69   0
%assign orange_red              0xFF4500        ; 255  69   0
%assign orange                  0xFFA500        ; 255 165   0
%assign orchid1                 0xFF83FA        ; 255 131 250
%assign orchid2                 0xEE7AE9        ; 238 122 233
%assign orchid3                 0xCD69C9        ; 205 105 201
%assign orchid4                 0x8B4789        ; 139  71 137
%assign orchid                  0xDA70D6        ; 218 112 214
%assign palegoldenrod           0xEEE8AA        ; 238 232 170
%assign palegreen1              0x9AFF9A        ; 154 255 154
%assign palegreen2              0x90EE90        ; 144 238 144
%assign palegreen3              0x7CCD7C        ; 124 205 124
%assign palegreen4              0x548B54        ;  84 139  84
%assign palegreen               0x98FB98        ; 152 251 152
%assign paleturquoise1          0xBBFFFF        ; 187 255 255
%assign paleturquoise2          0xAEEEEE        ; 174 238 238
%assign paleturquoise3          0x96CDCD        ; 150 205 205
%assign paleturquoise4          0x668B8B        ; 102 139 139
%assign paleturquoise           0xAFEEEE        ; 175 238 238
%assign palevioletred1          0xFF82AB        ; 255 130 171
%assign palevioletred2          0xEE799F        ; 238 121 159
%assign palevioletred3          0xCD6889        ; 205 104 137
%assign palevioletred4          0x8B475D        ; 139  71  93
%assign palevioletred           0xDB7093        ; 219 112 147
%assign pale_goldenrod          0xEEE8AA        ; 238 232 170
%assign pale_green              0x98FB98        ; 152 251 152
%assign pale_turquoise          0xAFEEEE        ; 175 238 238
%assign pale_violet_red         0xDB7093        ; 219 112 147
%assign papayawhip              0xFFEFD5        ; 255 239 213
%assign papaya_whip             0xFFEFD5        ; 255 239 213
%assign peachpuff1              0xFFDAB9        ; 255 218 185
%assign peachpuff2              0xEECBAD        ; 238 203 173
%assign peachpuff3              0xCDAF95        ; 205 175 149
%assign peachpuff4              0x8B7765        ; 139 119 101
%assign peachpuff               0xFFDAB9        ; 255 218 185
%assign peach_puff              0xFFDAB9        ; 255 218 185
%assign peru                    0xCD853F        ; 205 133  63
%assign pink1                   0xFFB5C5        ; 255 181 197
%assign pink2                   0xEEA9B8        ; 238 169 184
%assign pink3                   0xCD919E        ; 205 145 158
%assign pink4                   0x8B636C        ; 139  99 108
%assign pink                    0xFFC0CB        ; 255 192 203
%assign plum1                   0xFFBBFF        ; 255 187 255
%assign plum2                   0xEEAEEE        ; 238 174 238
%assign plum3                   0xCD96CD        ; 205 150 205
%assign plum4                   0x8B668B        ; 139 102 139
%assign plum                    0xDDA0DD        ; 221 160 221
%assign powderblue              0xB0E0E6        ; 176 224 230
%assign powder_blue             0xB0E0E6        ; 176 224 230
%assign purple1                 0x9B30FF        ; 155  48 255
%assign purple2                 0x912CEE        ; 145  44 238
%assign purple3                 0x7D26CD        ; 125  38 205
%assign purple4                 0x551A8B        ;  85  26 139
%assign purple                  0xA020F0        ; 160  32 240
%assign red1                    0xFF0000        ; 255   0   0
%assign red2                    0xEE0000        ; 238   0   0
%assign red3                    0xCD0000        ; 205   0   0
%assign red4                    0x8B0000        ; 139   0   0
%assign red                     0xFF0000        ; 255   0   0
%assign rosybrown1              0xFFC1C1        ; 255 193 193
%assign rosybrown2              0xEEB4B4        ; 238 180 180
%assign rosybrown3              0xCD9B9B        ; 205 155 155
%assign rosybrown4              0x8B6969        ; 139 105 105
%assign rosybrown               0xBC8F8F        ; 188 143 143
%assign rosy_brown              0xBC8F8F        ; 188 143 143
%assign royalblue1              0x4876FF        ;  72 118 255
%assign royalblue2              0x436EEE        ;  67 110 238
%assign royalblue3              0x3A5FCD        ;  58  95 205
%assign royalblue4              0x27408B        ;  39  64 139
%assign royalblue               0x4169E1        ;  65 105 225
%assign royal_blue              0x4169E1        ;  65 105 225
%assign saddlebrown             0x8B4513        ; 139  69  19
%assign saddle_brown            0x8B4513        ; 139  69  19
%assign salmon1                 0xFF8C69        ; 255 140 105
%assign salmon2                 0xEE8262        ; 238 130  98
%assign salmon3                 0xCD7054        ; 205 112  84
%assign salmon4                 0x8B4C39        ; 139  76  57
%assign salmon                  0xFA8072        ; 250 128 114
%assign sandybrown              0xF4A460        ; 244 164  96
%assign sandy_brown             0xF4A460        ; 244 164  96
%assign seagreen1               0x54FF9F        ;  84 255 159
%assign seagreen2               0x4EEE94        ;  78 238 148
%assign seagreen3               0x43CD80        ;  67 205 128
%assign seagreen4               0x2E8B57        ;  46 139  87
%assign seagreen                0x2E8B57        ;  46 139  87
%assign seashell1               0xFFF5EE        ; 255 245 238
%assign seashell2               0xEEE5DE        ; 238 229 222
%assign seashell3               0xCDC5BF        ; 205 197 191
%assign seashell4               0x8B8682        ; 139 134 130
%assign seashell                0xFFF5EE        ; 255 245 238
%assign sea_green               0x2E8B57        ;  46 139  87
%assign sienna1                 0xFF8247        ; 255 130  71
%assign sienna2                 0xEE7942        ; 238 121  66
%assign sienna3                 0xCD6839        ; 205 104  57
%assign sienna4                 0x8B4726        ; 139  71  38
%assign sienna                  0xA0522D        ; 160  82  45
%assign skyblue1                0x87CEFF        ; 135 206 255
%assign skyblue2                0x7EC0EE        ; 126 192 238
%assign skyblue3                0x6CA6CD        ; 108 166 205
%assign skyblue4                0x4A708B        ;  74 112 139
%assign skyblue                 0x87CEEB        ; 135 206 235
%assign sky_blue                0x87CEEB        ; 135 206 235
%assign slateblue1              0x836FFF        ; 131 111 255
%assign slateblue2              0x7A67EE        ; 122 103 238
%assign slateblue3              0x6959CD        ; 105  89 205
%assign slateblue4              0x473C8B        ;  71  60 139
%assign slateblue               0x6A5ACD        ; 106  90 205
%assign slategray1              0xC6E2FF        ; 198 226 255
%assign slategray2              0xB9D3EE        ; 185 211 238
%assign slategray3              0x9FB6CD        ; 159 182 205
%assign slategray4              0x6C7B8B        ; 108 123 139
%assign slategray               0x708090        ; 112 128 144
%assign slategrey               0x708090        ; 112 128 144
%assign slate_blue              0x6A5ACD        ; 106  90 205
%assign slate_gray              0x708090        ; 112 128 144
%assign slate_grey              0x708090        ; 112 128 144
%assign snow1                   0xFFFAFA        ; 255 250 250
%assign snow2                   0xEEE9E9        ; 238 233 233
%assign snow3                   0xCDC9C9        ; 205 201 201
%assign snow4                   0x8B8989        ; 139 137 137
%assign snow                    0xFFFAFA        ; 255 250 250
%assign springgreen1            0x00FF7F        ;   0 255 127
%assign springgreen2            0x00EE76        ;   0 238 118
%assign springgreen3            0x00CD66        ;   0 205 102
%assign springgreen4            0x008B45        ;   0 139  69
%assign springgreen             0x00FF7F        ;   0 255 127
%assign spring_green            0x00FF7F        ;   0 255 127
%assign steelblue1              0x63B8FF        ;  99 184 255
%assign steelblue2              0x5CACEE        ;  92 172 238
%assign steelblue3              0x4F94CD        ;  79 148 205
%assign steelblue4              0x36648B        ;  54 100 139
%assign steelblue               0x4682B4        ;  70 130 180
%assign steel_blue              0x4682B4        ;  70 130 180
%assign tan1                    0xFFA54F        ; 255 165  79
%assign tan2                    0xEE9A49        ; 238 154  73
%assign tan3                    0xCD853F        ; 205 133  63
%assign tan4                    0x8B5A2B        ; 139  90  43
%assign tan                     0xD2B48C        ; 210 180 140
%assign thistle1                0xFFE1FF        ; 255 225 255
%assign thistle2                0xEED2EE        ; 238 210 238
%assign thistle3                0xCDB5CD        ; 205 181 205
%assign thistle4                0x8B7B8B        ; 139 123 139
%assign thistle                 0xD8BFD8        ; 216 191 216
%assign tomato1                 0xFF6347        ; 255  99  71
%assign tomato2                 0xEE5C42        ; 238  92  66
%assign tomato3                 0xCD4F39        ; 205  79  57
%assign tomato4                 0x8B3626        ; 139  54  38
%assign tomato                  0xFF6347        ; 255  99  71
%assign turquoise1              0x00F5FF        ;   0 245 255
%assign turquoise2              0x00E5EE        ;   0 229 238
%assign turquoise3              0x00C5CD        ;   0 197 205
%assign turquoise4              0x00868B        ;   0 134 139
%assign turquoise               0x40E0D0        ;  64 224 208
%assign violetred1              0xFF3E96        ; 255  62 150
%assign violetred2              0xEE3A8C        ; 238  58 140
%assign violetred3              0xCD3278        ; 205  50 120
%assign violetred4              0x8B2252        ; 139  34  82
%assign violetred               0xD02090        ; 208  32 144
%assign violet_red              0xD02090        ; 208  32 144
%assign violet                  0xEE82EE        ; 238 130 238
%assign wheat1                  0xFFE7BA        ; 255 231 186
%assign wheat2                  0xEED8AE        ; 238 216 174
%assign wheat3                  0xCDBA96        ; 205 186 150
%assign wheat4                  0x8B7E66        ; 139 126 102
%assign wheat                   0xF5DEB3        ; 245 222 179
%assign whitesmoke              0xF5F5F5        ; 245 245 245
%assign white_smoke             0xF5F5F5        ; 245 245 245
%assign white                   0xFFFFFF        ; 255 255 255
%assign yellow1                 0xFFFF00        ; 255 255   0
%assign yellow2                 0xEEEE00        ; 238 238   0
%assign yellow3                 0xCDCD00        ; 205 205   0
%assign yellow4                 0x8B8B00        ; 139 139   0
%assign yellowgreen             0x9ACD32        ; 154 205  50
%assign yellow_green            0x9ACD32        ; 154 205  50
%assign yellow                  0xFFFF00        ; 255 255   0

%endif ;__RGB_TXT
;-
;-================================================================;
;- colours.inc <eof>
