;-================================================================;
;- Copyright (C) 2000 H-Peter Recktenwald, Berlin <phpr@snafu.de>
;- Read ./doc/LEGAL file for full copyright information (GNU GPL)
;-
;-  file	: rwfloat.inc
;-  switch	: _RWFLOAT_I
;-  created	: 15-mai-2000
;-  modified	: 17-mai-2000
;-  version	: 0.02
;-  assembler	: nasm 0.98-3e
;-  description	: definitions for fp <-> chars conversion
;-  author	: H-Peter Recktenwald, Berlin <phpr@snafu.de>
;-  comment	:
;-  source	: glibc 2.1.3
;-  requires	: types.inc from "asmutils" by K.Boldyshev,
;-			http://lightning.voshod.com:/asm
;-================================================================;
;-
;-

%ifndef _RWFLOAT_I
%define _RWFLOAT_I
%define rwfloatinc
%ifndef _nolist
%define _nolist
%endif

;- 
;- true(-1), false(0)
%define true 	_mov eax,-1
%define false 	_mov eax,0

;-
;- isascii 0-1
;-	ret {true} if arg is 7bit uk/us ascii
;- i:	%{1}	char	(dft: eax)
;- o:	eax	flag
%macro isasci 0-1_nolist
%00:
%if %{0}>0
%ifnidni %{1},eax
    mov eax,%{1}
%endif
%endif
    shr eax,7
    neg eax
    rcr eax,1	;cmc		; Cy if zero
    sar eax,31	;sbb eax,eax
%endm


%endif ;_RWFLOAT_I
;- rwfloat <eof>
