;- Copyright (C) 2000 H-Peter Recktenwald, Berlin <phpr@snafu.de>
;-=====================================================================;
;-  file  	: l4ersigt.inc
;-  created	: 27-jun-01
;-  modified	: -> re "version.inc"
;-  version	: 0.01(+)
;-  switches	:
;-  assembler	: nasm 0.98-3e (patched & bugs fixed 0.98)
;-  description	: signal & erorr codes & names
;-  author	: H-Peter Recktenwald, Berlin <phpr@snafu.de>
;-  comment	:
;-  source	: linux
;-  requires	: the "lib4th" package
;-=====================================================================;
;-
;-	

;-	
;-
;define those cons _before_ using :
;nasm cannot _forward_ refer even to cons values!
	a
	sigstg	; signal messages & symbols
	a
	sigdsp
; "enum"-ish text table for {signo}, re "constants.inc"
signot:A; SIG...;
	db '?',0	;	 0 00
	db 'HUP',0	;	 1
	db 'INT',0	;	 2
	db 'QUIT',0	;	 3
	db 'ILL',0	;	 4 04
	db 'TRAP',0	;	 5
	db 'ABRT',0	;	 6
	db 'BUS',0	;	 7
	db 'FPE',0	;	 8 08
	db 'KILL',0	;	 9
	db 'USR1',0	;	10
	db 'SEGV',0	;	11
	db 'USR2',0	;	12 0c
	db 'PIPE',0	;	13
	db 'ALRM',0	;	14
	db 'TERM',0	;	15
	db 'STKFLT',0	;	16 10
	db 'CHLD',0	;	17
	db 'CONT',0	;	18
	db 'STOP',0	;	19
	db 'TSTP',0	;	20 14
	db 'TTIN',0	;	21
	db 'TTOU',0	;	22
	db 'URG',0	;	23
	db 'XCPU',0	;	24 18
	db 'XFSZ',0	;	25
	db 'VTALRM',0	;	26
	db 'PROF',0	;	27
	db 'WINCH',0	;	28 1c	; sent by xterm, not in linux console
	db 'IO',0	;	29
	db 'PWR',0	;	30
	db 'UNUSED',0;	31
	db 0,0	; end of table
ernot:A; E..
	db 'OK',0	; 0 00
	db 'PERM',0;	,1
	db 'NOENT',0;	,2
	db 'SRCH',0;	,3
	db 'INTR',0;	,4
	db 'IO',0;	,5
	db 'NXIO',0;	,6
	db '2BIG',0;	,7
	db 'NOEXEC',0;	,8
	db 'BADF',0;	,9
	db 'CHILD',0;	,10
	db 'AGAIN',0;	,11
	db 'NOMEM',0;	,12
	db 'ACCES',0;	,13
	db 'FAULT',0;	,14
	db 'NOTBLK',0;	,15
	db 'BUSY',0;	,16
	db 'EXIST',0;	,17
	db 'XDEV',0;	,18
	db 'NODEV',0;	,19
	db 'NOTDIR',0;	,20
	db 'ISDIR',0;	,21
	db 'INVAL',0;	,22
	db 'NFILE',0;	,23
	db 'MFILE',0;	,24
	db 'NOTTY',0;	,25
	db 'TXTBSY',0;	,26
	db 'FBIG',0;	,27
	db 'NOSPC',0;	,28
	db 'SPIPE',0;	,29
	db 'ROFS',0;	,30
	db 'MLINK',0;	,31
	db 'PIPE',0;	,32
	db 'DOM',0;	,33
	db 'RANGE',0;	,34
	db 'DEADLK',0;	,35
	db 'NAMETOOLONG',0;,36
	db 'NOLCK',0;	,37
	db 'NOSYS',0;	,38
	db 'NOTEMPTY',0;,39
	db 'LOOP',0;	,40
	db 'WOULDBLOCK',0;,EAGAIN ;11
	db 'NOMSG',0;	,42
	db 'IDRM',0;	,43
	db 'CHRNG',0;	,44
	db 'L2NSYNC',0;	,45
	db 'L3HLT',0;	,46
	db 'L3RST',0;	,47
	db 'LNRNG',0;	,48
	db 'UNATCH',0;	,49
	db 'NOCSI',0;	,50
	db 'L2HLT',0;	,51
	db 'BADE',0;	,52
	db 'BADR',0;	,53
	db 'XFULL',0;	,54
	db 'NOANO',0;	,55
	db 'BADRQC',0;	,56
	db 'BADSLT',0;	,57
	db 'DEADLOCK',0;,EDEADLK;35
	db 'BFONT',0;	,59
	db 'NOSTR',0;	,60
	db 'NODATA',0;	,61
	db 'TIME',0;	,62
	db 'NOSR',0;	,63
	db 'NONET',0;	,64
	db 'NOPKG',0;	,65
	db 'REMOTE',0;	,66
	db 'NOLINK',0;	,67
	db 'ADV',0;	,68
	db 'SRMNT',0;	,69
	db 'COMM',0;	,70
	db 'PROTO',0;	,71
	db 'MULTIHOP',0;,72
	db 'DOTDOT',0;	,73
	db 'BADMSG',0;	,74
	db 'OVERFLOW',0;,75
	db 'NOTUNIQ',0;	,76
	db 'BADFD',0;	,77
	db 'REMCHG',0;	,78
	db 'LIBACC',0;	,79
	db 'LIBBAD',0;	,80
	db 'LIBSCN',0;	,81
	db 'LIBMAX',0;	,82
	db 'LIBEXEC',0;	,83
	db 'ILSEQ',0;	,84
	db 'RESTART',0;	,85
	db 'STRPIPE',0;	,86
	db 'USERS',0;	,87
	db 'NOTSOCK',0;		,88
	db 'DESTADDRREQ',0;	,89
	db 'MSGSIZE',0;		,90
	db 'PROTOTYPE',0;	,91
	db 'NOPROTOOPT',0;	,92
	db 'PROTONOSUPPORT',0;	,93
	db 'SOCKTNOSUPPORT',0;	,94
	db 'OPNOTSUPP',0;	,95
	db 'PFNOSUPPORT',0;	,96
	db 'AFNOSUPPORT',0;	,97
	db 'ADDRINUSE',0;	,98
	db 'ADDRNOTAVAIL',0;	,99
	db 'NETDOWN',0;		,100
	db 'NETUNREACH',0;	,101
	db 'NETRESET',0;	,102
	db 'CONNABORTED',0;	,103
	db 'CONNRESET',0;	,104
	db 'NOBUFS',0;		,105
	db 'ISCONN',0;		,106
	db 'NOTCONN',0;		,107
	db 'SHUTDOWN',0;	,108
	db 'TOOMANYREFS',0;	,109
	db 'TIMEDOUT',0;	,110
	db 'CONNREFUSED',0;	,111
	db 'HOSTDOWN',0;	,112
	db 'HOSTUNREACH',0;	,113
	db 'ALREADY',0;		,114
	db 'INPROGRESS',0;	,115
	db 'STALE',0;		,116
	db 'UCLEAN',0;		,117
	db 'NOTNAM',0;		,118
	db 'NAVAIL',0;		,119
	db 'ISNAM',0;		,120
	db 'REMOTEIO',0;	,121
	db 'DQUOT',0;		,122
	db 'NOMEDIUM',0;	,123
	db 'MEDIUMTYPE',0;	,124
	db '125',0;		,125;?; not def`d by kernel
	db '126',0;		,126;?; not def`d by kernel
	db 'NOTKNOWN',0;	,127;empiric, not def`d by kernel
	db 0,0
;-
; =====================================================================;
;-  l4ersigt.inc <eof>
