;- utility for "lib4th", Copyright (C) 2000 h-peter recktenwald, berlin.
;- delete redundant text in nasm "listings",
;- from "[nolist]" until "[list]" and, at comment markers at beginning of a line
;- or, extract comment lines
;- cpl requires
;-	nasm		(http://home.snafu.de/phpr/lhputils.html#nasm)
;- and	lib4th package	(http://home.snafu.de/phpr/lhputils.html#l2l)
;- or	asmutils 09+	(http://linuxassembly.org/)
;-	
;[list]
;-	syntax	:	lis2lis <infile >outfile
;-		:	infile | lis2lis | outfile
;-	no arg 	: discard listing within bounds of [nolist]..[list]
;-	arg "-"	: additionally suppress comment lines beginning with ";-"
;-		: and empty source lines
;-	arg "+"	: extract only lines beginning with ";-"
; - 18.2.01:
; -	arg "."	: as "+", insert a line "."<nl> before each block of ";-"s
; -		: (preparing the lib4th "help" functionality) -?- spielt nicht -?-
;[nolist]

%include "system.inc"

%ifdef __O_SIZE__
%define A
%else
%macro A 0-1.nolist 4
%ifid %00
%00:
%endif
 align %{1}
%endm
%endif


BufSize:equ 256


CODESEG

strich:A
    db ' ------',__n
.e:
dotlt:A
    db '.',__n
.e:


    A
START:
	_mov ebp,0	; reading posn
	mov byte[flg],1
	pop eax
	dec eax
	setg byte[cmt]
	jng .r
	pop eax
	pop eax
	mov eax,[eax]
	cmp ax,0+'+'
	sete byte[dot]
;;	jnz .r;
	jz .p		;;;
	cmp ax,0+'.'	;;;
	jnz .r		;;;
	mov byte[dot],-1;; -1:before 1:after 1st line of a comment block;
.p:
	neg byte[cmt]
.r:;	;<main loop
	_mov ecx,Buf
	_mov edx,BufSize
	sys_pread STDIN,EMPTY,EMPTY,ebp
	test eax,eax
	jg .w		;?; more
.x:
	mov ebx,eax
	sys_exit
.w:A
	mov edi,ecx	; buf
	mov esi,ecx	; buf
	mov ebx,eax	; count
	mov ecx,eax	; count
	add ebp,ecx
	_mov eax,__n
	repnz scasb
	jz .e		;?; eol found
	mov byte[esi],al
	dec ebp
	dec ecx
.e:
	sub ebp,ecx	; next fptr
	sub ebx,ecx	; len of line
	mov ecx,ebx	;
	_mov eax,5	; prepare i/o error
	dec ecx
	js .x		;?; empty/fault
	mov edi,esi	; buf
	cmp byte[cmt],0
	js .a		;?; filter ";-"
	cmp byte[flg],0
	jg .l		;?; listing is 'on'
;[nolist] state, find "[list]"
	_sub ecx,4
	mov eax,'[lis'
.tl:
	scasd
	jz .nl
	_sub edi,3
	dec ecx
	jng .r		;?; next input
	jmp near .tl
.nl:A
	cmp word[edi],'t]'
	jnz .r		;?; next input
.q:
	neg byte[flg]
	jg near .r
	mov esi,strich
	mov ebx,strich.e-strich
	jmp near .s	;?; 'off'
;[list] state, find "[nolist]"
.l:A
	_sub ecx,6
	mov eax,'[nol'
.tn:
	scasd
	jz .ll
	_sub edi,3
	dec ecx
	jng .o		;?; send anyway
	jmp near .tn
.a:A;	;<filter ";-"
	cmp word[esi],';-'
	jnz .v
	cmp byte[dot],0	;;;
	jns .d		;;;
	call dotl	;;;
.d:
	add esi,byte 2
	sub ebx,byte 2
	jmp short .s
.ll:A
	cmp dword[edi],'ist]'
	jz .q
.o:
	lea ecx,[ebx-40]
	dec ecx
	jle .t
	inc ecx
	lea edi,[esi+40]
	mov eax,'[lin'
.ti:
	scasd
	jz .ni
	_sub edi,3
	dec ecx
	jng .c
	jmp short .ti
.ni:A
	cmp word[edi],'e]'
	jz .j
.c:
	cmp byte[cmt],0
	jz .s
	cmp word[esi+40],';-'
	jz .j
.s:
	sys_write STDOUT,esi,ebx; write to STDOUT
	jmp short .j
.t:A
	cmp byte[cmt],0
	jz .s
	jmp short .j
.v:
	mov byte[dot],-1;;;; set 1st-line-flg
.j:
	jmp .r
; insert line w. "."
dotl:A
	mov byte[dot],1	;;;; clr 1st-line-flg
	pushad
	lea esi,[dotlt]
	sys_write STDOUT,esi,dotlt-dotlt.e;write to STDOUT
	popad
	ret
	
UDATASEG

flg:	resb	1	; listing on/off toggle
cmt:	resb	1	; -1: extract ";-" 0:no/list 1:cut off empty, ";-" and no/list
dot:	resb	1	; insert "."-lines
	resb	1
Buf:	resb	BufSize+4

END
