;-=========================================================================;
;- Copyright (C) 2000 H-Peter Recktenwald, Berlin <phpr@snafu.de>
;- Read ./doc/LEGAL file for full copyright information (GNU GPL)
;-
;-  file  	: ascictrl.inc
;-  switch	: _ASCICTRL_I
;-  created	: 25-mai-2000
;-  modified	: 
;-  version	: 0.01
;-  assembler	: nasm 0.98-3e
;-  description	: 
;-  author	: H-Peter Recktenwald, Berlin <phpr@snafu.de>
;-  comment	: assigns standard ascii ctrl code names, "AC_" prepended
;-  source	: 
;-  requires	: 
;-=========================================================================;
;-
;-

; nebenbei gutes beispiel fr die notwendigkeit von stringverkettung UND 
; darstellung, oder auch den schwachsinn "C"-scher alluren im "nasm", die 
; einem altkluge typisiererei vor die nase setzen, es aber nicht einmal
; erlauben, zwischen namen und inhalt von variablen zu unterscheiden...
; AC_RS war mit "RS" in der macro-bergabe nicht zu erzeugen,
; %xdefine & %error hat gezeigt, da RS bereits dort durch "esp" ersetzt
; war. nderung auf fhrenden "_" untersterich hat geholfen.
; fehler war bis dahin unauffindbar, hab mir 'nen wolf gesucht!

%ifndef _ASCICTRL_I
%define _ASCICTRL_I
%define ascictrlinc

%macro mdef 0-*
%assign %%p 0
%rep %{0}
%assign AC%{1} %%p
%assign %%p %%p+1
%rotate 1
%endrep
%endm

 mdef _NUL,_SOH,_STX,_ETX,_EOT,_ENQ,_ACK,_BEL,_BS,_HT,_LF,_VT,_FF,_CR,_SO,_SI,_DLE,_DC1,_DC2,_DC3,_DC4,_NAK,_SYN,_ETB,_CAN,_EM,_SUB,_ESC,_FS,_GS,_RS,_US

%assign AC_DEL	127
%assign AC_CSI	0x9b
%assign AC_TAB	AC_HT
%assign TAB	AC_HT


%endif ; _ASCICTRL_I
;-
;-=========================================================================;
;- ascictrl.inc <eof>
