;-================================================================;
;- Copyright (C) 2000 H-Peter Recktenwald, Berlin <phpr@snafu.de>
;- Read ./doc/LEGAL file for full copyright information (GNU GPL)
;-
;-  file	: limits.h.inc
;-  switch	: _LINUX_LIMITS_H, limitshinc
;-  created	: 01-sep-2000
;-  modified	: 01-sep-2000
;-  version	: 0.01
;-  assembler	: nasm 0.98-3e
;-  description	: numeric linux limits
;-  author	: H-Peter Recktenwald, Berlin <phpr@snafu.de>
;-  comment	: 
;-  source	: include/limits.h
;-  requires	: scilab's patched nasm 0.98e
;-		:	ftp://ftp.linuxgames.com/crystal/nasm/
;-================================================================;
;-

%ifndef _LINUX_LIMITS_H
%define _LINUX_LIMITS_H
%define limitshinc

%define NR_OPEN		1024

%define NGROUPS_MAX       32	; supplemental group IDs are available
%define ARG_MAX       131072	; # bytes of args + environ for exec()
%define CHILD_MAX        999    ; no limit :-)
%define OPEN_MAX         256	; # open files a process may have
%define LINK_MAX         127	; # links a file may have
%define MAX_CANON        255	; size of the canonical input queue
%define MAX_INPUT        255	; size of the type-ahead buffer
%define NAME_MAX         255	; # chars in a file name
%define PATH_MAX        4095	; # chars in a path name
%define PIPE_BUF        4096	; # bytes in atomic write to a pipe

%define RTSIG_MAX	  32

%endif
;-
;-
;-================================================================;
;- limits.h.inc <eof>
