;-================================================================;
;- Copyright (C) 2000 H-Peter Recktenwald, Berlin <phpr@snafu.de>
;- Read ./doc/LEGAL file for full copyright information (GNU GPL)
;-
;-  file  	: calc4th.asm
;-  created	: 07-aug-00
;-  modified	: 07-sep-00
;-  version	; (re "version.inc")
%include "version.inc"
;-  assembler	: nasm 0.98-3e (patched & bugs fixed 0.98)
;-  description	: "lib4th" stand-alone commandline upn calculator.
;-		: i/o by stdin, stdout, stderr.
;-		: no input prompt if stdin not a console channel.
;-  author	: H-Peter Recktenwald, Berlin <phpr@snafu.de>
;-  comment	: minimal "lib4th" application
;-		: example, cut down to its absolute minimum.
;-  requires	: compiling prerequisites:
;-		:	asmutils 0.11+, nasm-0.98e+
;-================================================================;
;-

;-
%undef  __LIB4TH
;- %undef  __LIB4TH
;-	using any of the supplied lib4th macroes this 
;-	mustn't be defined unless in library source!
;-
[list -];[nolist]
%include "system.inc"
[list +];[list]
;-
; ================================================================
;-
    section .text
;-
    global _start
    extern ini4th
;-
_start:
    xor edi,edi		; -ve:return +ve:user supplied 0:inner interpreter ; ref to i4th structure
    mov esi,esp		; ptr to startup arguments, and to return from init
    jmp ini4th		; jump into default routine, i.e. outer interpreter
;-
;-================================================================
;- calc4th.asm <eof>
